MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0022819Open CASCADE[OCCT] OCCT:Visualizationpublic2011-11-29 14:362015-04-28 12:59
Reporterszv 
Assigned Tobugmaster 
PrioritynormalSeverityfeature 
StatusclosedResolutionfixed 
PlatformAOSLOS VersionL
Product Version[OCCT] 6.5.2 
Target Version[OCCT] 6.5.3Fixed in Version[OCCT] 6.5.3 
Summary0022819: Redesign of OpenGl driver
DescriptionIt is proposed to redesign OpenGl driver of OCCT (OpenGl_GraphicDriver API class) to introduce C++ classes for all major entities, instead of current C style (structures and separate functions).

The initial version of this modification is available in SVN (in the branch named after this issue number).
Additional information
and documentation updates
Since we re-write OpenGl package almost anew, it is mandatory to eliminate all compiler warnings in it.

Documentation remark (written by KGV and SZV)
=============================================
The code in OpenGl package was revised deeply, without touching the present high-level visualization API. The main purpose of this action was to facilitate maintenance of OCCT visualization engine and improve its robustness.

Although the code changes were internal by their nature, below the most important ones are mentioned. This information might be helpful for those advanced OCCT users who are not afraid of getting inside TKOpenGl.

- Most of functionality of OpenGl package has been re-implemented with the following new classes:
  OpenGl_Context. Represents low-level GL context. On initialization retrieves available GL extensions (currently OpenGl_ArbVBO and OpenGl_ExtFBO). Replaces old mechanisms like QueryExtension() in "OpenGl_Extension.hxx" header and global initialization in-place of usage.
  OpenGl_Display. Represents an objects that controls some common properties of all contexts / windows. On UNIX it is bound to used X Server connection. Stores global (shared between GL contexts) primitives like markers. Provides text-rendering methods. Subject to further redesign or describing documentation.
  OpenGl_Window. Represents window with GL context. Stores native, system-dependent handles and provide low-level functions to activate/swap front/back buffers.
  OpenGl_Workspace -> OpenGl_Window. Encapsulates functionality previously existed with WS suffix, maintains a set of "global" attributes (old TsmSetAttri, TsmGetAttri stuff) etc. Controls current GL context state using OpenGl_Aspect* elements. Used as the container (or medium) of various statuses and attributes in the method Render() of all primitive elements.
  OpenGl_View. Represents part of the window to draw scene. Now just ONE view is allowed per window.
  OpenGl_Element. Represents new drawable interface with one virtual method ::Render (const Handle(OpenGl_Workspace)& ). All drawable primitives OpenGl_Marker, OpenGl_MarkerSet, OpenGl_Mesh, OpenGl_Polygon ( TEL_POLYGON_DATA), OpenGl_Polyline, OpenGl_PrimitiveArray (CALL_DEF_PARRAY), OpenGl_QuadrangleStrip (OPENGL_QSTRIP_DATA), OpenGl_TriangleStrip (TEL_TMESH_DATA), OpenGl_Text and aspects OpenGl_AspectFace, OpenGl_AspectLine, OpenGl_AspectMarker, OpenGl_AspectText implements this interface.
  OpenGl_PrimitiveArray. Represents array of drawable primitives - the most efficient (can use VBO) and universal method. OpenGl_Polygon, OpenGl_Polyline, OpenGl_TriangleStrip, OpenGl_QuadrangleStrip, OpenGl_Mesh are subject to removal (0022971).
  OpenGl_Group -> OpenGl_Element. Represents group of drawable primitives (stored as sequence). Corresponds Graphic3d_Group. Notice that now group aspects are placed as class members rather than just aspects in front of all primitives. Additional aspects that can be placed as elements within the group sequence are still supported but suggested for removal.
  OpenGl_Structure -> OpenGl_Element. Represents a set of groups, or structure, with a set of own attributes. maps to Graphic3d_Structure.

- OpenGl is cdl-less package now (however it state was not changed to 'nocdlpack' in UDLIST). All classes are declared using not generated C++ headers.

- Most of memory allocation/deallocation mismatches reported by many contributors were fixed.

- Most compiler warnings removed.

- OpenGl_Resource and OpenGl_FrameBuffer are almost left untouched.

- Removed work-around for Windows 95 system.

- Removed compatibility with OpenGL 1.0 standard. Now OpenGL 1.1+ is required for compilation.

- Removed double buffer emulation using GLX Pixmap's (UNIX). However some related pieces of code were not completely removed and left in commented state, search for e.g. JWR_PIXMAP_DB.

- All low-level static functions (Tsm*, Txgl*, Tel*, call_*) are deprecated and most of them removed.

- QuadrangleSet, Bezier primitive types were removed from OpenGl_GraphicDriver, Graphic3d_GraphicDriver and Graphic3d_Group.
TagsNo tags attached.
Test case numberchl 934 R9
Attached Files? file icon R9 (456 bytes) 2012-02-13 12:47

- Relationships
parent of 0022234closedbugmaster Open CASCADE Compilation warnings in OpenGl unit 
parent of 0023115closedsan Open CASCADE Polygon offset doesn't applied in Viewer3D sample 
related to 0022734closeddbv Community Memory allocation error in OpenGl 
related to 0022627closedbugmaster Open CASCADE Change OCCT memory management defaults 
related to 0022930closedsan Community Memory leak in OpenGl_filters.cxx line 351 
related to 0022878closedbugmaster Open CASCADE Errors during OCCT testing on Mandriva 2010 32 bit 
related to 0022971closedkgv Open CASCADE TKOpenGl clean up obsolete functionality 
related to 0022956closedbugmaster Community Memory leak in OpenGL_tgl_utilgr.cxx 
related to 0022955closedbugmaster Community Memory leak in OpenGL_text.cxx 
related to 0022879closedbugmaster Community Possible bug in Opengl_togl_begin_layer_mode.cxx 
related to 0022880closedbugmaster Community Another probable bug in Opengl_togl_begin_layer_mode.cxx 
related to 0022782closedbugmaster Open CASCADE Uninitialized global variable used in conditionals in OpenGl package 
related to 0022332closedbugmaster Community Fix for Visual3d_Layer (linetype, linewidth and transparency) 
related to 0022787closedsan Open CASCADE Clipping planes should not clip "non-clippable" scene parts 
related to 0023015closedapl Open CASCADE TKOpenGl redesign regression in text printing 
related to 0023028closedbugmaster Open CASCADE Visualization, TKOpenGl - eliminate global static variables 
related to 0023044closedsan Open CASCADE Regression: 3D views are not invalidated by some modifications of OpenGl_Structure 
related to 0023067closedsan Open CASCADE OpenGl package API needed by UserDraw feature is not exported 
related to 0026128closedbugmaster Community Visualization, TKOpenGl - fix misprint in external GLX context initialization 

-  Notes
(0018952)
san (developer)
2011-12-22 18:20

Dear Anton,

As the first step of this issue implementation, please do the following:

1. The most tricky part is to identify old OpenGl files that contain code not used by OCCGL. Probably this work can be automated somehow - e.g. MS VS linker knows this, and probably it can output the list of all exported symbols from TKOpenGl.lib and those actually used by TKOCCGL objects. Another way is Depends.exe, it also shows the symbols of DLL1 actually used by DLL2...
Then the unused files should be removed (back them up in advance because you might still need some of them later).
 
2. Rename all OCCGL_* files to OpenGl_* and put them into OpenGl package.

3. Make the updated OpenGl/TKOpenGl compile in the issue's SVN branch.

4. Assign this issue to bugmaster in order to run visualization test grid on the branch, the test results should be attached to this issue and finally it should be assigned to me.
(0018998)
san (developer)
2011-12-26 11:26

0022627 should be taken into account by this issue implementation.
(0019061)
apl (developer)
2011-12-29 17:30

The OpenGl driver was updated by merging with OCCGL;
First version of patch is in SVN branch http://svn/svn/occt/branches/OCC22819_RedesignDriver [^]
(0019062)
apl (developer)
2011-12-29 17:31

Dear Bugmaster,

Could you please run vizualization test grid on SVN branch http://svn/svn/occt/branches/OCC22819_RedesignDriver. [^]
(0019063)
abv (manager)
2011-12-29 17:43

I advise to run in addition the same tests with MMGT_OPT=0 (cf. 0022627)
(0019068)
bugmaster (administrator)
2012-01-10 14:39

Misha,

Please test
http://svn/svn/occt/branches/OCC22819_RedesignDriver. [^]
in 2 modes MMGT_OPT=0/1

Igor
(0019078)
mkv (tester)
2012-01-10 19:20

Dear BugMaster,
Workbench KAS:dev:mkv-22819-occt was updated from SVN branch http://svn/svn/occt/branches/OCC22819_RedesignDriver [^]
(and mkv-22819-products from trunk) and compiled on Linux platform.

There are compilation errors in mkv-22819-occt:


Info : -------> VoxelClient_VisDrawer.cxx
Error : Errors occured in Shell
/dn47/KAS/dev/mkv-22819-occt/src/VoxelClient/VoxelClient_VisDrawer.cxx:14:28: error: OpenGl_telem.hxx: No such file or directory

/dn47/KAS/dev/mkv-22819-occt/src/VoxelClient/VoxelClient_VisDrawer.cxx:15:31: error: OpenGl_callback.hxx: No such file or directory

/dn47/KAS/dev/mkv-22819-occt/src/VoxelClient/VoxelClient_VisDrawer.cxx:21: error: в__TSM_ELEM_DATAв_T was not declared in this scope

/dn47/KAS/dev/mkv-22819-occt/src/VoxelClient/VoxelClient_VisDrawer.cxx:21: error: expected primary-expression before в__nв_T

/dn47/KAS/dev/mkv-22819-occt/src/VoxelClient/VoxelClient_VisDrawer.cxx:21: error: в__cmn_keyв_T was not declared in this scope

/dn47/KAS/dev/mkv-22819-occt/src/VoxelClient/VoxelClient_VisDrawer.cxx:21: error: в__kв_T was not declared in this scope

/dn47/KAS/dev/mkv-22819-occt/src/VoxelClient/VoxelClient_VisDrawer.cxx:21: error: initializer expression list treated as compound expression

/dn47/KAS/dev/mkv-22819-occt/src/VoxelClient/VoxelClient_VisDrawer.cxx:22: error: expected в__,в_T or в__;в_T before в__{в_T token

/dn47/KAS/dev/mkv-22819-occt/src/VoxelClient/VoxelClient_VisDrawer.cxx:48: error: в__TSM_ELEM_DATAв_T was not declared in this scope

/dn47/KAS/dev/mkv-22819-occt/src/VoxelClient/VoxelClient_VisDrawer.cxx:48: error: expected primary-expression before в__nв_T

/dn47/KAS/dev/mkv-22819-occt/src/VoxelClient/VoxelClient_VisDrawer.cxx:48: error: в__cmn_keyв_T was not declared in this scope

/dn47/KAS/dev/mkv-22819-occt/src/VoxelClient/VoxelClient_VisDrawer.cxx:48: error: в__kв_T was not declared in this scope

/dn47/KAS/dev/mkv-22819-occt/src/VoxelClient/VoxelClient_VisDrawer.cxx:48: error: initializer expression list treated as compound expression

/dn47/KAS/dev/mkv-22819-occt/src/VoxelClient/VoxelClient_VisDrawer.cxx:49: error: expected в__,в_T or в__;в_T before в__{в_T token

/dn47/KAS/dev/mkv-22819-occt/src/VoxelClient/VoxelClient_VisDrawer.cxx:55: error: в__TSM_ELEM_DATAв_T was not declared in this scope

/dn47/KAS/dev/mkv-22819-occt/src/VoxelClient/VoxelClient_VisDrawer.cxx:55: error: expected primary-expression before в__nв_T

/dn47/KAS/dev/mkv-22819-occt/src/VoxelClient/VoxelClient_VisDrawer.cxx:55: error: в__cmn_keyв_T was not declared in this scope

/dn47/KAS/dev/mkv-22819-occt/src/VoxelClient/VoxelClient_VisDrawer.cxx:55: error: в__kв_T was not declared in this scope

/dn47/KAS/dev/mkv-22819-occt/src/VoxelClient/VoxelClient_VisDrawer.cxx:55: error: initializer expression list treated as compound expression

/dn47/KAS/dev/mkv-22819-occt/src/VoxelClient/VoxelClient_VisDrawer.cxx:56: error: expected в__,в_T or в__;в_T before в__{в_T token

/dn47/KAS/dev/mkv-22819-occt/src/VoxelClient/VoxelClient_VisDrawer.cxx: In static member function в__static void VoxelClient_VisDrawer::Init()в_T:

/dn47/KAS/dev/mkv-22819-occt/src/VoxelClient/VoxelClient_VisDrawer.cxx:71: error: в__MtblPtrв_T was not declared in this scope

/dn47/KAS/dev/mkv-22819-occt/src/VoxelClient/VoxelClient_VisDrawer.cxx:71: error: expected `;' before в__cbв_T

/dn47/KAS/dev/mkv-22819-occt/src/VoxelClient/VoxelClient_VisDrawer.cxx:73: error: в__cbв_T was not declared in this scope

/dn47/KAS/dev/mkv-22819-occt/src/VoxelClient/VoxelClient_VisDrawer.cxx:73: error: в__DisplayTraverseв_T was not declared in this scope

/dn47/KAS/dev/mkv-22819-occt/src/VoxelClient/VoxelClient_VisDrawer.cxx:74: error: в__Addв_T was not declared in this scope

/dn47/KAS/dev/mkv-22819-occt/src/VoxelClient/VoxelClient_VisDrawer.cxx:75: error: в__Deleteв_T was not declared in this scope

Error : Failed : VoxelClient_VisDrawer.cxx
Info : ----------------------- Compilation Report -----------------------
Info : Failed : :KAS:dev:mkv-22819-occt:VoxelClient:source:VoxelClient_VisDrawer.cxx
Info : -----------------------------------------------------------------




Info : -------> OpenGl_Workspace_2.cxx
Error : Errors occured in Shell
/dn47/KAS/dev/mkv-22819-occt/src/OpenGl/OpenGl_Workspace_2.cxx: In member function в__void OpenGl_Workspace::Redraw1(const
 Graphic3d_CView&, const Aspect_CLayer2d&, const Aspect_CLayer2d&, int)в_T:

/dn47/KAS/dev/mkv-22819-occt/src/OpenGl/OpenGl_Workspace_2.cxx:823: error: invalid conversion from в__void*в_T to в__Display*в_T

/dn47/KAS/dev/mkv-22819-occt/src/OpenGl/OpenGl_Workspace_2.cxx:823: error: initializing argument 1 of в__void glXSwapBuffers(Display*, GLXDrawable)в_T

Error : Failed : OpenGl_Workspace_2.cxx


Info : -------> OpenGl_Display.cxx
Error : Errors occured in Shell
/dn47/KAS/dev/mkv-22819-occt/src/OpenGl/OpenGl_Display.cxx: In member function в__void OpenGl_Display::Init()в_T:

/dn47/KAS/dev/mkv-22819-occt/src/OpenGl/OpenGl_Display.cxx:271: error: в__InitExtensionGLXв_T was not declared in this scope

/dn47/KAS/dev/mkv-22819-occt/src/OpenGl/OpenGl_Display.cxx:314: error: в__QueryExtensionв_T was not declared in this scope

/dn47/KAS/dev/mkv-22819-occt/src/OpenGl/OpenGl_Display.cxx:321: error: в__offsetFactorв_T was not declared in this scope

/dn47/KAS/dev/mkv-22819-occt/src/OpenGl/OpenGl_Display.cxx:322: error: в__offsetUnitsв_T was not declared in this scope

/dn47/KAS/dev/mkv-22819-occt/inc/NCollection_DataMap.hxx: In member function в__Standard_Boolean NCollection_DataMap<TheKeyType, TheItemType>::IsBound(const TheKeyType&) const [with TheKeyType = long unsigned int, TheItemType = Handle_OpenGl_Window]в_T:

/dn47/KAS/dev/mkv-22819-occt/src/OpenGl/OpenGl_Display.cxx:162: instantiated from here

/dn47/KAS/dev/mkv-22819-occt/inc/NCollection_DataMap.hxx:226: error: call of overloaded в__HashCode(const long unsigned int&, Standard_Integer)в_T is ambiguous

/dn47/KAS/dev/mkv-22819-occt/inc/Standard_Integer.hxx:50: note: candidates are: Standard_Integer HashCode(Standard_Integer, Standard_Integer)

/dn47/KAS/dev/mkv-22819-occt/inc/Standard_Address.hxx:42: note: Standard_Integer HashCode(void*, Standard_Integer) <near match>

/dn47/KAS/dev/mkv-22819-occt/inc/Standard_Size.hxx:16: note: Standard_Integer HashCode(Standard_Size, Standard_Integer)

/dn47/KAS/dev/mkv-22819-occt/inc/Standard_Real.hxx:35: note: Standard_Integer HashCode(Standard_Real, Standard_Integer)

/dn47/KAS/dev/mkv-22819-occt/inc/Standard_Character.hxx:32: note: Standard_Integer HashCode(Standard_Character, Standard_Integer)

/dn47/KAS/dev/mkv-22819-occt/inc/Standard_ExtCharacter.hxx:35: note: Standard_Integer HashCode(Standard_ExtCharacter, Standard_Integer)

/dn47/KAS/dev/mkv-22819-occt/inc/Standard_CString.hxx:37: note: Standard_Integer HashCode(const char*, Standard_Integer) <near match>

/dn47/KAS/dev/mkv-22819-occt/inc/Standard_ExtString.hxx:32: note: Standard_Integer HashCode(const short int*, Standard_Integer) <near match>

/dn47/KAS/dev/mkv-22819-occt/inc/Handle_Standard_Transient.hxx:32: note: Standard_Integer HashCode(const Handle_Standard_Transient&, Standard_Integer) <near match>

/dn47/KAS/dev/mkv-22819-occt/src/OpenGl/OpenGl_Display.cxx:162: instantiated from here

/dn47/KAS/dev/mkv-22819-occt/inc/NCollection_DataMap.hxx:229: error: call of overloaded в__IsEqual(const long unsigned in&, const long unsigned int&)в_T is ambiguous

/dn47/KAS/dev/mkv-22819-occt/inc/Standard_Integer.hxx:60: note: candidates are: Standard_Boolean IsEqual(Standard_Integer Standard_Integer)

/dn47/KAS/dev/mkv-22819-occt/inc/Standard_Address.hxx:65: note: Standard_Boolean IsEqual(void*, void*) <nar match>

/dn47/KAS/dev/mkv-22819-occt/inc/Standard_Size.hxx:31: note: Standard_Boolean IsEqual(Standard_Size, Stanard_Size)

/dn47/KAS/dev/mkv-22819-occt/inc/Standard_Real.hxx:69: note: Standard_Boolean IsEqual(Standard_Real, Stanard_Real)

/dn47/KAS/dev/mkv-22819-occt/inc/Standard_Character.hxx:51: note: Standard_Boolean IsEqual(Standard_Charater, Standard_Character)

/dn47/KAS/dev/mkv-22819-occt/inc/Standard_ExtCharacter.hxx:80: note: Standard_Boolean IsEqual(Standard_ExCharacter, Standard_ExtCharacter)

/dn47/KAS/dev/mkv-22819-occt/inc/NCollection_DataMap.hxx: In member function в__const TheItemType& NCollection_DataMap<ThKeyType, TheItemType>::Find(const TheKeyType&) const [with TheKeyType = long unsigned int, TheItemType = Handle_OpenGl_Widow]в_T:

/dn47/KAS/dev/mkv-22819-occt/src/OpenGl/OpenGl_Display.cxx:164: instantiated from here

/dn47/KAS/dev/mkv-22819-occt/inc/NCollection_DataMap.hxx:271: error: call of overloaded в__HashCode(const long unsigned it&, Standard_Integer)в_T is ambiguous

/dn47/KAS/dev/mkv-22819-occt/inc/Standard_Integer.hxx:50: note: candidates are: Standard_Integer HashCode(Standard_Integer, Standard_Integer)

/dn47/KAS/dev/mkv-22819-occt/inc/Standard_Address.hxx:42: note: Standard_Integer HashCode(void*, Standard_Integer) <near match>

/dn47/KAS/dev/mkv-22819-occt/inc/Standard_Size.hxx:16: note: Standard_Integer HashCode(Standard_Size, Standard_Integer)

/dn47/KAS/dev/mkv-22819-occt/inc/Standard_Real.hxx:35: note: Standard_Integer HashCode(Standard_Real, Standard_Integer)

/dn47/KAS/dev/mkv-22819-occt/inc/Standard_Character.hxx:32: note: Standard_Integer HashCode(Standard_Character, Standard_Integer)

/dn47/KAS/dev/mkv-22819-occt/inc/Standard_ExtCharacter.hxx:35: note: Standard_Integer HashCode(Standard_ExtCharacter, Standard_Integer)

/dn47/KAS/dev/mkv-22819-occt/inc/Standard_CString.hxx:37: note: Standard_Integer HashCode(const char*, Standard_Integer) <near match>

/dn47/KAS/dev/mkv-22819-occt/inc/Standard_ExtString.hxx:32: note: Standard_Integer HashCode(const short int*, Standard_Integer) <near match>

/dn47/KAS/dev/mkv-22819-occt/inc/Handle_Standard_Transient.hxx:32: note: Standard_Integer HashCode(const Handle_Standard_Transient&, Standard_Integer) <near match>

/dn47/KAS/dev/mkv-22819-occt/inc/NCollection_DataMap.hxx:274: error: call of overloaded в__IsEqual(const long unsigned int&, const long unsigned int&)в_T is ambiguous

/dn47/KAS/dev/mkv-22819-occt/inc/Standard_Integer.hxx:60: note: candidates are: Standard_Boolean IsEqual(Standard_Integer, Standard_Integer)

/dn47/KAS/dev/mkv-22819-occt/inc/Standard_Address.hxx:65: note: Standard_Boolean IsEqual(void*, void*) <near match>

/dn47/KAS/dev/mkv-22819-occt/inc/Standard_Size.hxx:31: note: Standard_Boolean IsEqual(Standard_Size, Standard_Size)

/dn47/KAS/dev/mkv-22819-occt/inc/Standard_Real.hxx:69: note: Standard_Boolean IsEqual(Standard_Real, Standard_Real)

/dn47/KAS/dev/mkv-22819-occt/inc/Standard_Character.hxx:51: note: Standard_Boolean IsEqual(Standard_Character, Standard_Character)

/dn47/KAS/dev/mkv-22819-occt/inc/Standard_ExtCharacter.hxx:80: note: Standard_Boolean IsEqual(Standard_ExtCharacter, Standard_ExtCharacter)

/dn47/KAS/dev/mkv-22819-occt/inc/NCollection_DataMap.hxx: In member function в__Standard_Boolean NCollection_DataMap<TheKeyType, TheItemType>::Bind(const TheKeyType&, const TheItemType&) [with TheKeyType = long unsigned int, TheItemType = Handle_OpenGl_Window]в_T:

/dn47/KAS/dev/mkv-22819-occt/src/OpenGl/OpenGl_Display.cxx:175: instantiated from here

/dn47/KAS/dev/mkv-22819-occt/inc/NCollection_DataMap.hxx:204: error: call of overloaded в__HashCode(const long unsigned int&, Standard_Integer)в_T is ambiguous

/dn47/KAS/dev/mkv-22819-occt/inc/Standard_Integer.hxx:50: note: candidates are: Standard_Integer HashCode(Standard_Integer, Standard_Integer)

/dn47/KAS/dev/mkv-22819-occt/inc/Standard_Address.hxx:42: note: Standard_Integer HashCode(void*, Standard_Integer) <near match>

/dn47/KAS/dev/mkv-22819-occt/inc/Standard_Size.hxx:16: note: Standard_Integer HashCode(Standard_Size, Standard_Integer)

/dn47/KAS/dev/mkv-22819-occt/inc/Standard_Real.hxx:35: note: Standard_Integer HashCode(Standard_Real, Standard_Integer)

/dn47/KAS/dev/mkv-22819-occt/inc/Standard_Character.hxx:32: note: Standard_Integer HashCode(Standard_Character, Standard_Integer)

/dn47/KAS/dev/mkv-22819-occt/inc/Standard_ExtCharacter.hxx:35: note: Standard_Integer HashCode(Standard_ExtCharacter, Standard_Integer)

/dn47/KAS/dev/mkv-22819-occt/inc/Standard_CString.hxx:37: note: Standard_Integer HashCode(const char*, Standard_Integer) <near match>

/dn47/KAS/dev/mkv-22819-occt/inc/Standard_ExtString.hxx:32: note: Standard_Integer HashCode(const short int*, Standard_Integer) <near match>

/dn47/KAS/dev/mkv-22819-occt/inc/Handle_Standard_Transient.hxx:32: note: Standard_Integer HashCode(const Handle_Standard_Transient&, Standard_Integer) <near match>

/dn47/KAS/dev/mkv-22819-occt/inc/NCollection_DataMap.hxx:208: error: call of overloaded в__IsEqual(const long unsigned int&, const long unsigned int&)в_T is ambiguous

/dn47/KAS/dev/mkv-22819-occt/inc/Standard_Integer.hxx:60: note: candidates are: Standard_Boolean IsEqual(Standard_Integer, Standard_Integer)

/dn47/KAS/dev/mkv-22819-occt/inc/Standard_Address.hxx:65: note: Standard_Boolean IsEqual(void*, void*) <near match>

/dn47/KAS/dev/mkv-22819-occt/inc/Standard_Size.hxx:31: note: Standard_Boolean IsEqual(Standard_Size, Standard_Size)

/dn47/KAS/dev/mkv-22819-occt/inc/Standard_Real.hxx:69: note: Standard_Boolean IsEqual(Standard_Real, Standard_Real)

/dn47/KAS/dev/mkv-22819-occt/inc/Standard_Character.hxx:51: note: Standard_Boolean IsEqual(Standard_Character, Standard_Character)

/dn47/KAS/dev/mkv-22819-occt/inc/Standard_ExtCharacter.hxx:80: note: Standard_Boolean IsEqual(Standard_ExtCharacter, Standard_ExtCharacter)

/dn47/KAS/dev/mkv-22819-occt/inc/NCollection_DataMap.hxx: In member function в__void NCollection_DataMap<TheKeyType, TheItemType>::ReSize(Standard_Integer) [with TheKeyType = long unsigned int,TheItemType = Handle_OpenGl_Window]в_T:

/dn47/KAS/dev/mkv-22819-occt/inc/NCollection_DataMap.hxx:202: instantiated from в__Standard_Boolean NCollection_DataMap<TheKeyType, TheItemType>::Bind(const TheKeyType&, const TheItemType&) [with TheKeyType = long unsigned int, TheItemType = Handle_OpenGl_Window]в_T

/dn47/KAS/dev/mkv-22819-occt/src/OpenGl/OpenGl_Display.cxx:175: instantiated from here

/dn47/KAS/dev/mkv-22819-occt/inc/NCollection_DataMap.hxx:182: error: call of overloaded в__HashCode(const long unsigned int&, Standard_Integer&)в_T is ambiguous

/dn47/KAS/dev/mkv-22819-occt/inc/Standard_Integer.hxx:50: note: candidates are: Standard_Integer HashCode(Standard_Integer, Standard_Integer)

/dn47/KAS/dev/mkv-22819-occt/inc/Standard_Address.hxx:42: note: Standard_Integer HashCode(void*, Standard_Integer) <near match>

/dn47/KAS/dev/mkv-22819-occt/inc/Standard_Size.hxx:16: note: Standard_Integer HashCode(Standard_Size, Standard_Integer)

/dn47/KAS/dev/mkv-22819-occt/inc/Standard_Real.hxx:35: note: Standard_Integer HashCode(Standard_Real, Standard_Integer)

/dn47/KAS/dev/mkv-22819-occt/inc/Standard_Character.hxx:32: note: Standard_Integer HashCode(Standard_Character, Standard_Integer)

/dn47/KAS/dev/mkv-22819-occt/inc/Standard_ExtCharacter.hxx:35: note: Standard_Integer HashCode(Standard_ExtCharacter, Standard_Integer)

/dn47/KAS/dev/mkv-22819-occt/inc/Standard_CString.hxx:37: note: Standard_Integer HashCode(const char*, Standard_Integer) <near match>

/dn47/KAS/dev/mkv-22819-occt/inc/Standard_ExtString.hxx:32: note: Standard_Integer HashCode(const short int*, Standard_Integer) <near match>

/dn47/KAS/dev/mkv-22819-occt/inc/Handle_Standard_Transient.hxx:32: note: Standard_Integer HashCode(const Handle_Standard_Transient&, Standard_Integer) <near match>

Error : Failed : OpenGl_Display.cxx

Info : -------> OpenGl_Window.cxx
Error : Errors occured in Shell
/dn47/KAS/dev/mkv-22819-occt/src/OpenGl/OpenGl_Window.cxx: In constructor в__OpenGl_Window::OpenGl_Window(const Handle_Ope
nGl_Display&, const CALL_DEF_WINDOW&, void*)в_T:

/dn47/KAS/dev/mkv-22819-occt/src/OpenGl/OpenGl_Window.cxx:177: error: в__myDBufferв_T was not declared in this scope

/dn47/KAS/dev/mkv-22819-occt/src/OpenGl/OpenGl_Window.cxx:203: error: в__myDBufferв_T was not declared in this scope

/dn47/KAS/dev/mkv-22819-occt/src/OpenGl/OpenGl_Window.cxx:249: error: в__bgcolrв_T was not declared in this scope

/dn47/KAS/dev/mkv-22819-occt/src/OpenGl/OpenGl_Window.cxx:250: error: в__bgcolgв_T was not declared in this scope

/dn47/KAS/dev/mkv-22819-occt/src/OpenGl/OpenGl_Window.cxx:251: error: в__bgcolbв_T was not declared in this scope

/dn47/KAS/dev/mkv-22819-occt/src/OpenGl/OpenGl_Window.cxx:253: error: в__dв_T was not declared in this scope

/dn47/KAS/dev/mkv-22819-occt/src/OpenGl/OpenGl_Window.cxx:278: error: в__WaitForNotifyв_T was not declared in this scope

/dn47/KAS/dev/mkv-22819-occt/src/OpenGl/OpenGl_Window.cxx: In destructor в__virtual OpenGl_Window::~OpenGl_Window()в_T:

/dn47/KAS/dev/mkv-22819-occt/src/OpenGl/OpenGl_Window.cxx:421: error: в__GLContextMapв_T has not been declared

/dn47/KAS/dev/mkv-22819-occt/src/OpenGl/OpenGl_Window.cxx:421: error: expected `;' before в__itв_T

/dn47/KAS/dev/mkv-22819-occt/src/OpenGl/OpenGl_Window.cxx:422: error: в__itв_T was not declared in this scope

Error : Failed : OpenGl_Window.cxx

Info : ----------------------- Compilation Report -----------------------
Info : Failed : :KAS:dev:mkv-22819-occt:OpenGl:source:OpenGl_Workspace_2.cxx
Info : Failed : :KAS:dev:mkv-22819-occt:OpenGl:source:OpenGl_Display.cxx
Info : Failed : :KAS:dev:mkv-22819-occt:OpenGl:source:OpenGl_Window.cxx
Info : -----------------------------------------------------------------




Also, where are following compilation warnings:


Info : -------> OpenGl_GraphicDriver_Layer.cxx
/dn47/KAS/dev/mkv-22819-occt/src/OpenGl/OpenGl_GraphicDriver_Layer.cxx:51: warning: deprecated conversion from string constant to в__char*в_T

Info : -------> OpenGl_Text.cxx
/dn47/KAS/dev/mkv-22819-occt/src/OpenGl/OpenGl_Text.cxx: In member function в__virtual void OpenGl_Text::Render(const Handle_OpenGl_Workspace&) constв_T:

/dn47/KAS/dev/mkv-22819-occt/src/OpenGl/OpenGl_Text.cxx:139: warning: deprecated conversion from string constant to в__char*в_T

/dn47/KAS/dev/mkv-22819-occt/src/OpenGl/OpenGl_Text.cxx:253: warning: deprecated conversion from string constant to в__char*в_T

Info : -------> OpenGl_Trihedron.cxx
/dn47/KAS/dev/mkv-22819-occt/src/OpenGl/OpenGl_Trihedron.cxx:77: warning: deprecated conversion from string constant to в__char*в_T


Info : -------> OpenGl_TextureBox.cxx
/dn47/KAS/dev/mkv-22819-occt/src/OpenGl/OpenGl_TextureBox.cxx: In function в__void MyGenTextureEXT(TextureID)в_T:

/dn47/KAS/dev/mkv-22819-occt/src/OpenGl/OpenGl_TextureBox.cxx:472: warning: deprecated conversion from string constant to в__char*в_T

/dn47/KAS/dev/mkv-22819-occt/src/OpenGl/OpenGl_TextureBox.cxx: In function в__void MyBindTextureEXT(TextureID, int)в_T:

/dn47/KAS/dev/mkv-22819-occt/src/OpenGl/OpenGl_TextureBox.cxx:511: warning: comparison between в__enum texStatusв_T and в__enum texDataStatusв_T

/dn47/KAS/dev/mkv-22819-occt/src/OpenGl/OpenGl_TextureBox.cxx:521: warning: comparison between в__enum texStatusв_T and в__enum texDataStatusв_T

/dn47/KAS/dev/mkv-22819-occt/src/OpenGl/OpenGl_TextureBox.cxx:538: warning: comparison between в__enum texStatusв_T and в__enum texDataStatusв_T
(0019168)
kgv (developer)
2012-01-18 12:42

Dear Bugmuster,

compilation and initialization errors in Linux version were fixed and integrated to Bug branch http://svn/svn/occt/branches/OCC22819_RedesignDriver. [^]

Please perform visualization tests in 2 modes MMGT_OPT=0/1 as suggested before.
(0019194)
mkv (tester)
2012-01-20 13:29

Dear BugMaster,
Workbench KAS:dev:mkv-22819-1-occt was created from SVN branch http://svn/svn/occt/branches/22819_RedesignDriver [^]
(and mkv-22819-1-products from trunk) and compiled on Linux platform.

Workbench KAS:dev:mkv-22819-1-products was tested with MMGT_OPT=1

There are following regressions in mkv-22819-1-products regarding to KAS:dev:products-20120117-opt

chl 901 A9
chl 902 P1 P2 P3 P4 P5 P6
chl 918 G6
chl 922 O7 O8 P6 P7 W7 W8 X4 X5
chl 927 Y5
chl 928 R8 S1 T7 T8 T9 U1 U2 U3 U4 U5 U6 U7 U8 U9 W5 Y8 Y9 Z1
chl 929 L5
chl 934 D9
chl 936 M6

chl 922 W9 X6

chl 902 F8 P7
chl 926 A2 A3 A4 A5
chl 927 M3 V7 W9
chl 928 O4
chl 929 M8

vis 001 A1 A2 A3 A4 A9 B1
vis 002 A1 A2 A3 A4
vis 003 A1 A2 A3 A4
vis 004 A1 A2 A3 A4
vis 005 A1 A2 A3 A4
vis 006 A1 A2 A3 A4
vis 007 A1 A2 A3 A4
vis 008 A1 A2 A3 A4 H1 H2 H3 H4
vis 009 A1 A2 A3 A4
vis 010 A1 A2 A3 A4
vis 012 A1 A2 A3 A4
vis 013 A1 A2 A3 A4


vpr 007 C1 C2 C3 C4 C5 C6
vpr 008 C1 C2 C3 C4 C5 C6
vpr 015 C2
vpr 016 C2

vpr 003 A6 A7
vpr 006 A1 A2 A3 A4 A5 A6 A7 A8
vpr 008 A3 B3 B6 D9

vpr 015 A4 A5 A6
vpr 016 A4 A5 A6

See results in /QADisk/occttests/results/KAS/dev/mkv-22819-1-products_18012012/lin
See reference results in /QADisk/occttests/results/KAS/dev/products-20120117-opt_17012012/lin
See test cases in /QADisk/occttests/tests/ED
N.B. In order to launch testing case you can make use the following instructions
http://doc/doku.php?id=occt:certification [^]
(0019201)
san (developer)
2012-01-20 14:55
edited on: 2012-01-20 14:58

One of common failures is SIGSEGV in (or as a result of) QAMoveTo command.

(0019252)
kgv (developer)
2012-01-24 16:30

2 problems were fixed within immediate mode and integrated to Bug SVN branch.

Dear BugMaster,
please re-perform the visualization tests.
(0019275)
aan (developer)
2012-01-27 10:36

Dear BugMaster,
Workbench KAS:dev:mkv-22819-1-occt was created from SVN branch http://svn/svn/occt/branches/22819_RedesignDriver [^]
(and mkv-22819-1-products from trunk) and compiled on Linux platform.

Workbench KAS:dev:mkv-22819-1-products was tested with MMGT_OPT=1

There are following regressions in mkv-22819-1-products regarding to KAS:dev:products-20120120-opt

chl 922 J3 J4 O7 O8 O9 P1 P2 P3 P6 P7 P8 P9 W7 W8 W9 X1 X2 X3 X4 X5 X6 X7 Y6
chl 928 R8 T7 T8 T9 U1 U2 U3 U4 U5 U6 U7 U8 U9
chl 934 O3

vis 003 A1 A3
vis 007 A3 A4
vis 010 A3 A4
vis 012 A3 A4

vpr 005 A1 A2 A4
vpr 003 A6 A7
vpr 006 A1 A2 A3 A4 A5 A6 A7 A8
vpr 008 A3 B3 B6 D9

See results in /QADisk/occttests/results/KAS/dev/mkv-22819-1-products_26012012/lin
See reference results in /QADisk/occttests/results/KAS/dev/products-20120120-opt_20012012/lin
See test cases in /QADisk/occttests/tests/ED
N.B. In order to launch testing case you can make use the following instructions
http://doc/doku.php?id=occt:certification [^]
(0019276)
aan (developer)
2012-01-27 10:36

Dear BugMaster,
Workbench KAS:dev:mkv-22819-occt was created from SVN branch http://svn/svn/occt/branches/22819_RedesignDriver [^]
(and mkv-22819-products from trunk) and compiled on Linux platform.

Workbench KAS:dev:mkv-22819-products was tested with MMGT_OPT=0

There are following regressions in mkv-22819-products regarding to KAS:dev:products-20120120-opt

chl 922 O7 O8 P6 P7 W7 W8 X4 X5
chl 928 R1
chl 936 G9

chl 922 W9 X6 O9 P1 P8 P9 X1 X7 Y6
chl 928 R8 T7 T8 T9 U1 U2 U3 U4 U5 U6 U7 U8 U9

chl 922 J3 J4 P2 P3 X2 X3

chl 934 O3

vis 007 A1 A4

vis 003 A1

vpr 005 A1 A2 A4
vpr 007 B1 B3 B4 B6 C1 C2 C3 C4 C5 C6 D2 D4 D5
vpr 008 B2 B3 B4 B5 B6 C1 C2 C3 C4 C5 C6 D1 D2 D3 D4 D5 D6
vpr 016 B1 B4 C1 C2 D1 D2

vpr 003 A6 A7
vpr 006 A1 A2 A3 A4 A5 A6 A7 A8
vpr 008 A3 D9

See results in /QADisk/occttests/results/KAS/dev/mkv-22819-products_26012012/lin
See reference results in /QADisk/occttests/results/KAS/dev/products-20120120-opt_20012012/lin
See test cases in /QADisk/occttests/tests/ED
N.B. In order to launch testing case you can make use the following instructions
http://doc/doku.php?id=occt:certification [^]
(0019326)
kgv (developer)
2012-02-01 12:04

several problems were fixed and integrated to Bug SVN branch.

Dear BugMaster,
please re-perform the visualization tests.
(0019354)
aan (developer)
2012-02-02 13:34

Dear BugMaster,
Workbench KAS:dev:mkv-22819-occt was created from SVN branch http://svn/svn/occt/branches/22819_RedesignDriver [^]
(and mkv-22819-products from trunk) and compiled on Linux platform.

Workbench KAS:dev:mkv-22819-products was tested with MMGT_OPT=0

There are following regressions in mkv-22819-products regarding to KAS:dev:products-20120120-opt

chl 922 J4 P6 X4

vpr 007 B1 B4 C1 C2 C3 C4 C5 C6 D2 D3 D4 D5 D6
vpr 008 B2 B5 C1 C2 C3 D1 D2 D3 D4 D5 D6
vpr 0015 B1 B3 B6 C2 D2
vpr 016 B1 B4 C1 C2 D2

See results in /QADisk/occttests/results/KAS/dev/mkv-22819-products_01022012/lin
See reference results in /QADisk/occttests/results/KAS/dev/products-20120127-opt_28012012/lin
See test cases in /QADisk/occttests/tests/ED
N.B. In order to launch testing case you can make use the following instructions
http://doc/doku.php?id=occt:certification [^]
(0019366)
aan (developer)
2012-02-02 19:04

Dear BugMaster,
Workbench KAS:dev:mkv-22819-1-occt was created from SVN branch http://svn/svn/occt/branches/22819_RedesignDriver [^]
(and mkv-22819-1-products from trunk) and compiled on Linux platform.

Workbench KAS:dev:mkv-22819-1-products was tested with MMGT_OPT=1

There are following regressions in mkv-22819-1-products regarding to KAS:dev:products-20120120-opt

chl 922 J4 P6 X4

vis 007 A3, A4
vis 010 A3, A4
vis 012 A3, A4

See results in /QADisk/occttests/results/KAS/dev/mkv-22819-1-products_01022012/lin
See reference results in /QADisk/occttests/results/KAS/dev/products-20120127-opt_28012012/lin
See test cases in /QADisk/occttests/tests/ED
N.B. In order to launch testing case you can make use the following instructions
http://doc/doku.php?id=occt:certification [^]
(0019367)
kgv (developer)
2012-02-03 10:08

Test cases
  chl 922 J3 J4 O7 O8 O9 P1 P2 P3 P6 P7 P8 P9 W7 W8 W9 X1 X2 X3 X4 X5 X6 X7
and OCC749 command in QA toolkit are suggested to be removed because them tests obsolete functionality that no more exists in TKOpenGl and doesn't used in OCCT (QuadrangleSet primitives).
(0019379)
aan (developer)
2012-02-03 13:53

The regressions are considered as:

vis - instability
chl - incorrect test cases
vpr - behavior with MMGT_OPT=0
(0019384)
kgv (developer)
2012-02-03 15:58

> chl - incorrect test cases
vis tests (selection on the box):
  vis 003 A1 A3
  vis 007 A3 A4
  vis 010 A3 A4
  vis 012 A3 A4

are instable due to this bug 0022554 (uninitialized memory block used in Select3D) and doesn't related to this patch. The intermediate patch provided by aaa was tested on one case and solves instability.
(0019387)
kgv (developer)
2012-02-03 16:50

Dear san,

please review this patch assuming it is a first major step of TKOpenGl cleaning up and development will be continued in 0022971 bug. QADBMReflex package and OCC749_sav / OCC749 commands were completely removed in bug SVN branch.
(0019389)
bugmaster (administrator)
2012-02-03 17:14

Integration into trunk of occt repository

Date: 2012-02-03 16:59:15 +0400 (Fri, 03 Feb 2012)
New Revision: 10304

Added:
   trunk/src/OpenGl/Handle_OpenGl_Context.hxx
   trunk/src/OpenGl/Handle_OpenGl_Display.hxx
   trunk/src/OpenGl/Handle_OpenGl_GraduatedTrihedron.hxx
   trunk/src/OpenGl/Handle_OpenGl_GraphicDriver.hxx
   trunk/src/OpenGl/Handle_OpenGl_Trihedron.hxx
   trunk/src/OpenGl/Handle_OpenGl_View.hxx
   trunk/src/OpenGl/Handle_OpenGl_Window.hxx
   trunk/src/OpenGl/Handle_OpenGl_Workspace.hxx
   trunk/src/OpenGl/OpenGl_ArbVBO.hxx
   trunk/src/OpenGl/OpenGl_AspectFace.cxx
   trunk/src/OpenGl/OpenGl_AspectFace.hxx
   trunk/src/OpenGl/OpenGl_AspectLine.cxx
   trunk/src/OpenGl/OpenGl_AspectLine.hxx
   trunk/src/OpenGl/OpenGl_AspectMarker.cxx
   trunk/src/OpenGl/OpenGl_AspectMarker.hxx
   trunk/src/OpenGl/OpenGl_AspectText.cxx
   trunk/src/OpenGl/OpenGl_AspectText.hxx
   trunk/src/OpenGl/OpenGl_CView.hxx
   trunk/src/OpenGl/OpenGl_Callback.hxx
   trunk/src/OpenGl/OpenGl_Context.cxx
   trunk/src/OpenGl/OpenGl_Context.hxx
   trunk/src/OpenGl/OpenGl_Display.cxx
   trunk/src/OpenGl/OpenGl_Display.hxx
   trunk/src/OpenGl/OpenGl_Display_1.cxx
   trunk/src/OpenGl/OpenGl_Display_2.cxx
   trunk/src/OpenGl/OpenGl_Element.hxx
   trunk/src/OpenGl/OpenGl_ExtFBO.hxx
   trunk/src/OpenGl/OpenGl_GraduatedTrihedron.cxx
   trunk/src/OpenGl/OpenGl_GraduatedTrihedron.hxx
   trunk/src/OpenGl/OpenGl_GraphicDriver.hxx
   trunk/src/OpenGl/OpenGl_Group.cxx
   trunk/src/OpenGl/OpenGl_Group.hxx
   trunk/src/OpenGl/OpenGl_Light.hxx
   trunk/src/OpenGl/OpenGl_Marker.cxx
   trunk/src/OpenGl/OpenGl_Marker.hxx
   trunk/src/OpenGl/OpenGl_MarkerSet.cxx
   trunk/src/OpenGl/OpenGl_MarkerSet.hxx
   trunk/src/OpenGl/OpenGl_Matrix.cxx
   trunk/src/OpenGl/OpenGl_Matrix.hxx
   trunk/src/OpenGl/OpenGl_Mesh.cxx
   trunk/src/OpenGl/OpenGl_Mesh.hxx
   trunk/src/OpenGl/OpenGl_NamedStatus.hxx
   trunk/src/OpenGl/OpenGl_Polygon.cxx
   trunk/src/OpenGl/OpenGl_Polygon.hxx
   trunk/src/OpenGl/OpenGl_Polyline.cxx
   trunk/src/OpenGl/OpenGl_Polyline.hxx
   trunk/src/OpenGl/OpenGl_PrimitiveArray.hxx
   trunk/src/OpenGl/OpenGl_PriorityList.cxx
   trunk/src/OpenGl/OpenGl_PriorityList.hxx
   trunk/src/OpenGl/OpenGl_QuadrangleStrip.cxx
   trunk/src/OpenGl/OpenGl_QuadrangleStrip.hxx
   trunk/src/OpenGl/OpenGl_Structure.cxx
   trunk/src/OpenGl/OpenGl_Structure.hxx
   trunk/src/OpenGl/OpenGl_Text.cxx
   trunk/src/OpenGl/OpenGl_Text.hxx
   trunk/src/OpenGl/OpenGl_TextParam.hxx
   trunk/src/OpenGl/OpenGl_TriangleStrip.cxx
   trunk/src/OpenGl/OpenGl_TriangleStrip.hxx
   trunk/src/OpenGl/OpenGl_Trihedron.cxx
   trunk/src/OpenGl/OpenGl_Trihedron.hxx
   trunk/src/OpenGl/OpenGl_View.cxx
   trunk/src/OpenGl/OpenGl_View.hxx
   trunk/src/OpenGl/OpenGl_View_1.cxx
   trunk/src/OpenGl/OpenGl_View_2.cxx
   trunk/src/OpenGl/OpenGl_Window.cxx
   trunk/src/OpenGl/OpenGl_Window.hxx
   trunk/src/OpenGl/OpenGl_Workspace.cxx
   trunk/src/OpenGl/OpenGl_Workspace.hxx
   trunk/src/OpenGl/OpenGl_Workspace_1.cxx
   trunk/src/OpenGl/OpenGl_Workspace_2.cxx
   trunk/src/OpenGl/OpenGl_Workspace_3.cxx
   trunk/src/OpenGl/OpenGl_Workspace_4.cxx
   trunk/src/OpenGl/OpenGl_Workspace_5.cxx
   trunk/src/OpenGl/OpenGl_telem_view.cxx
Removed:
   trunk/src/Graphic3d/Graphic3d_GraphicDriver_1.cxx
   trunk/src/Graphic3d/Graphic3d_GraphicDriver_2.cxx
   trunk/src/Graphic3d/Graphic3d_GraphicDriver_3.cxx
   trunk/src/Graphic3d/Graphic3d_GraphicDriver_4.cxx
   trunk/src/Graphic3d/Graphic3d_GraphicDriver_5.cxx
   trunk/src/Graphic3d/Graphic3d_GraphicDriver_6.cxx
   trunk/src/Graphic3d/Graphic3d_GraphicDriver_7.cxx
   trunk/src/Graphic3d/Graphic3d_GraphicDriver_703.cxx
   trunk/src/Graphic3d/Graphic3d_GraphicDriver_705.cxx
   trunk/src/Graphic3d/Graphic3d_GraphicDriver_707.cxx
   trunk/src/Graphic3d/Graphic3d_GraphicDriver_709.cxx
   trunk/src/Graphic3d/Graphic3d_GraphicDriver_710.cxx
   trunk/src/Graphic3d/Graphic3d_GraphicDriver_711.cxx
   trunk/src/Graphic3d/Graphic3d_GraphicDriver_712.cxx
   trunk/src/Graphic3d/Graphic3d_GraphicDriver_713.cxx
   trunk/src/Graphic3d/Graphic3d_GraphicDriver_8.cxx
   trunk/src/Graphic3d/Graphic3d_GraphicDriver_9.cxx
   trunk/src/Graphic3d/Graphic3d_GraphicDriver_Export.cxx
   trunk/src/Graphic3d/Graphic3d_GraphicDriver_Layer.cxx
   trunk/src/Graphic3d/Graphic3d_GraphicDriver_Print.cxx
   trunk/src/Graphic3d/Graphic3d_Group_12.cxx
   trunk/src/OpenGl/OpenGl.cdl
   trunk/src/OpenGl/OpenGl_Extension.cxx
   trunk/src/OpenGl/OpenGl_Extension.hxx
   trunk/src/OpenGl/OpenGl_GraphicDriver.cdl
   trunk/src/OpenGl/OpenGl_GraphicDriver_712.cxx
   trunk/src/OpenGl/OpenGl_LightBox.cxx
   trunk/src/OpenGl/OpenGl_LightBox.hxx
   trunk/src/OpenGl/OpenGl_Memory.cxx
   trunk/src/OpenGl/OpenGl_TextRender.cxx
   trunk/src/OpenGl/OpenGl_TextRender.hxx
   trunk/src/OpenGl/OpenGl_addnames.cxx
   trunk/src/OpenGl/OpenGl_animation.hxx
   trunk/src/OpenGl/OpenGl_antialias.cxx
   trunk/src/OpenGl/OpenGl_applid.cxx
   trunk/src/OpenGl/OpenGl_attri.cxx
   trunk/src/OpenGl/OpenGl_bintcol.cxx
   trunk/src/OpenGl/OpenGl_bintrefl.cxx
   trunk/src/OpenGl/OpenGl_bsurfprop.cxx
   trunk/src/OpenGl/OpenGl_callback.hxx
   trunk/src/OpenGl/OpenGl_charexpan.cxx
   trunk/src/OpenGl/OpenGl_charspace.cxx
   trunk/src/OpenGl/OpenGl_cmn_varargs.hxx
   trunk/src/OpenGl/OpenGl_context.hxx
   trunk/src/OpenGl/OpenGl_curve.cxx
   trunk/src/OpenGl/OpenGl_degeneration.hxx
   trunk/src/OpenGl/OpenGl_degmodel.cxx
   trunk/src/OpenGl/OpenGl_depthcue.cxx
   trunk/src/OpenGl/OpenGl_dind.cxx
   trunk/src/OpenGl/OpenGl_dotexturemap.cxx
   trunk/src/OpenGl/OpenGl_edgecol.cxx
   trunk/src/OpenGl/OpenGl_edgeflag.cxx
   trunk/src/OpenGl/OpenGl_edgetyp.cxx
   trunk/src/OpenGl/OpenGl_edgewid.cxx
   trunk/src/OpenGl/OpenGl_execstruct.cxx
   trunk/src/OpenGl/OpenGl_facecull.cxx
   trunk/src/OpenGl/OpenGl_facedmode.cxx
   trunk/src/OpenGl/OpenGl_filters.cxx
   trunk/src/OpenGl/OpenGl_funcs.cxx
   trunk/src/OpenGl/OpenGl_graduatedtrihedron.cxx
   trunk/src/OpenGl/OpenGl_graduatedtrihedron.hxx
   trunk/src/OpenGl/OpenGl_highlight.cxx
   trunk/src/OpenGl/OpenGl_hlind.cxx
   trunk/src/OpenGl/OpenGl_indexpolygons.cxx
   trunk/src/OpenGl/OpenGl_initelem.cxx
   trunk/src/OpenGl/OpenGl_inquire.cxx
   trunk/src/OpenGl/OpenGl_inquire.hxx
   trunk/src/OpenGl/OpenGl_intcol.cxx
   trunk/src/OpenGl/OpenGl_intrefl.cxx
   trunk/src/OpenGl/OpenGl_intshademtd.cxx
   trunk/src/OpenGl/OpenGl_intstyle.cxx
   trunk/src/OpenGl/OpenGl_intstyleind.cxx
   trunk/src/OpenGl/OpenGl_label.cxx
   trunk/src/OpenGl/OpenGl_lightstate.cxx
   trunk/src/OpenGl/OpenGl_localtran3.cxx
   trunk/src/OpenGl/OpenGl_mrkr.cxx
   trunk/src/OpenGl/OpenGl_mrkrcol.cxx
   trunk/src/OpenGl/OpenGl_mrkrset.cxx
   trunk/src/OpenGl/OpenGl_mrkrsize.cxx
   trunk/src/OpenGl/OpenGl_mrkrtype.cxx
   trunk/src/OpenGl/OpenGl_pick.cxx
   trunk/src/OpenGl/OpenGl_pickid.cxx
   trunk/src/OpenGl/OpenGl_polygon.cxx
   trunk/src/OpenGl/OpenGl_polygonholes.cxx
   trunk/src/OpenGl/OpenGl_polygonoffset.cxx
   trunk/src/OpenGl/OpenGl_polyl.cxx
   trunk/src/OpenGl/OpenGl_polylcol.cxx
   trunk/src/OpenGl/OpenGl_polyltyp.cxx
   trunk/src/OpenGl/OpenGl_polylwid.cxx
   trunk/src/OpenGl/OpenGl_qstrip.cxx
   trunk/src/OpenGl/OpenGl_remnames.cxx
   trunk/src/OpenGl/OpenGl_subrs.cxx
   trunk/src/OpenGl/OpenGl_subrvis.cxx
   trunk/src/OpenGl/OpenGl_surfprop.cxx
   trunk/src/OpenGl/OpenGl_telem.hxx
   trunk/src/OpenGl/OpenGl_telem_attri.hxx
   trunk/src/OpenGl/OpenGl_telem_depthcue.hxx
   trunk/src/OpenGl/OpenGl_telem_filters.hxx
   trunk/src/OpenGl/OpenGl_telem_highlight.hxx
   trunk/src/OpenGl/OpenGl_telem_inquire.hxx
   trunk/src/OpenGl/OpenGl_telem_pick.hxx
   trunk/src/OpenGl/OpenGl_text.cxx
   trunk/src/OpenGl/OpenGl_textalignment.cxx
   trunk/src/OpenGl/OpenGl_textangle.cxx
   trunk/src/OpenGl/OpenGl_textcol.cxx
   trunk/src/OpenGl/OpenGl_textcolsubtitle.cxx
   trunk/src/OpenGl/OpenGl_textdisplaytype.cxx
   trunk/src/OpenGl/OpenGl_textfont.cxx
   trunk/src/OpenGl/OpenGl_textfontaspect.cxx
   trunk/src/OpenGl/OpenGl_textheight.cxx
   trunk/src/OpenGl/OpenGl_textstyle.cxx
   trunk/src/OpenGl/OpenGl_texture.cxx
   trunk/src/OpenGl/OpenGl_textzoomable.cxx
   trunk/src/OpenGl/OpenGl_tgl.hxx
   trunk/src/OpenGl/OpenGl_tgl_elems.hxx
   trunk/src/OpenGl/OpenGl_tgl_pick.hxx
   trunk/src/OpenGl/OpenGl_tgl_subrs.hxx
   trunk/src/OpenGl/OpenGl_tgl_subrvis.hxx
   trunk/src/OpenGl/OpenGl_tgl_tox.hxx
   trunk/src/OpenGl/OpenGl_tgl_util.cxx
   trunk/src/OpenGl/OpenGl_tgl_util.hxx
   trunk/src/OpenGl/OpenGl_tgl_utilgr.cxx
   trunk/src/OpenGl/OpenGl_tgl_utilgr.hxx
   trunk/src/OpenGl/OpenGl_tgl_vis.hxx
   trunk/src/OpenGl/OpenGl_tmesh.cxx
   trunk/src/OpenGl/OpenGl_togl_activateview.cxx
   trunk/src/OpenGl/OpenGl_togl_antialiasing.cxx
   trunk/src/OpenGl/OpenGl_togl_backfacing.cxx
   trunk/src/OpenGl/OpenGl_togl_background.cxx
   trunk/src/OpenGl/OpenGl_togl_begin.cxx
   trunk/src/OpenGl/OpenGl_togl_begin_animation.cxx
   trunk/src/OpenGl/OpenGl_togl_begin_immediat_mode.cxx
   trunk/src/OpenGl/OpenGl_togl_begin_layer_mode.cxx
   trunk/src/OpenGl/OpenGl_togl_bezier.cxx
   trunk/src/OpenGl/OpenGl_togl_bezier_weight.cxx
   trunk/src/OpenGl/OpenGl_togl_blink.cxx
   trunk/src/OpenGl/OpenGl_togl_boundarybox.cxx
   trunk/src/OpenGl/OpenGl_togl_cleargroup.cxx
   trunk/src/OpenGl/OpenGl_togl_clearstructure.cxx
   trunk/src/OpenGl/OpenGl_togl_cliplimit.cxx
   trunk/src/OpenGl/OpenGl_togl_closegroup.cxx
   trunk/src/OpenGl/OpenGl_togl_connect.cxx
   trunk/src/OpenGl/OpenGl_togl_contextstructure.cxx
   trunk/src/OpenGl/OpenGl_togl_curve.cxx
   trunk/src/OpenGl/OpenGl_togl_deactivateview.cxx
   trunk/src/OpenGl/OpenGl_togl_degeneratestructure.cxx
   trunk/src/OpenGl/OpenGl_togl_depthcueing.cxx
   trunk/src/OpenGl/OpenGl_togl_depthtest.cxx
   trunk/src/OpenGl/OpenGl_togl_disconnect.cxx
   trunk/src/OpenGl/OpenGl_togl_displaystructure.cxx
   trunk/src/OpenGl/OpenGl_togl_element_exploration.cxx
   trunk/src/OpenGl/OpenGl_togl_end.cxx
   trunk/src/OpenGl/OpenGl_togl_erasestructure.cxx
   trunk/src/OpenGl/OpenGl_togl_facecontextgroup.cxx
   trunk/src/OpenGl/OpenGl_togl_gradient_background.cxx
   trunk/src/OpenGl/OpenGl_togl_graduatedtrihedron.cxx
   trunk/src/OpenGl/OpenGl_togl_group.cxx
   trunk/src/OpenGl/OpenGl_togl_highlightcolor.cxx
   trunk/src/OpenGl/OpenGl_togl_init_pick.cxx
   trunk/src/OpenGl/OpenGl_togl_inquirefacilities.cxx
   trunk/src/OpenGl/OpenGl_togl_inquirelight.cxx
   trunk/src/OpenGl/OpenGl_togl_inquireview.cxx
   trunk/src/OpenGl/OpenGl_togl_light.cxx
   trunk/src/OpenGl/OpenGl_togl_light_exploration.cxx
   trunk/src/OpenGl/OpenGl_togl_linecontextgroup.cxx
   trunk/src/OpenGl/OpenGl_togl_marker.cxx
   trunk/src/OpenGl/OpenGl_togl_marker_set.cxx
   trunk/src/OpenGl/OpenGl_togl_markercontextgroup.cxx
   trunk/src/OpenGl/OpenGl_togl_namesetstructure.cxx
   trunk/src/OpenGl/OpenGl_togl_opengroup.cxx
   trunk/src/OpenGl/OpenGl_togl_parray.cxx
   trunk/src/OpenGl/OpenGl_togl_pick.cxx
   trunk/src/OpenGl/OpenGl_togl_pickid.cxx
   trunk/src/OpenGl/OpenGl_togl_plane.cxx
   trunk/src/OpenGl/OpenGl_togl_polygon.cxx
   trunk/src/OpenGl/OpenGl_togl_polygon_holes.cxx
   trunk/src/OpenGl/OpenGl_togl_polygon_indices.cxx
   trunk/src/OpenGl/OpenGl_togl_polygon_set.cxx
   trunk/src/OpenGl/OpenGl_togl_polyline.cxx
   trunk/src/OpenGl/OpenGl_togl_print.cxx
   trunk/src/OpenGl/OpenGl_togl_project_raster.cxx
   trunk/src/OpenGl/OpenGl_togl_quadrangle.cxx
   trunk/src/OpenGl/OpenGl_togl_ratio_window.cxx
   trunk/src/OpenGl/OpenGl_togl_redraw.cxx
   trunk/src/OpenGl/OpenGl_togl_removegroup.cxx
   trunk/src/OpenGl/OpenGl_togl_removestructure.cxx
   trunk/src/OpenGl/OpenGl_togl_removeview.cxx
   trunk/src/OpenGl/OpenGl_togl_set_environment.cxx
   trunk/src/OpenGl/OpenGl_togl_setlight.cxx
   trunk/src/OpenGl/OpenGl_togl_setplane.cxx
   trunk/src/OpenGl/OpenGl_togl_setvisualisation.cxx
   trunk/src/OpenGl/OpenGl_togl_structure.cxx
   trunk/src/OpenGl/OpenGl_togl_structure_exploration.cxx
   trunk/src/OpenGl/OpenGl_togl_text.cxx
   trunk/src/OpenGl/OpenGl_togl_textcontextgroup.cxx
   trunk/src/OpenGl/OpenGl_togl_transformstructure.cxx
   trunk/src/OpenGl/OpenGl_togl_transparency.cxx
   trunk/src/OpenGl/OpenGl_togl_triangle.cxx
   trunk/src/OpenGl/OpenGl_togl_triedron.cxx
   trunk/src/OpenGl/OpenGl_togl_unproject_raster.cxx
   trunk/src/OpenGl/OpenGl_togl_update.cxx
   trunk/src/OpenGl/OpenGl_togl_userdraw.cxx
   trunk/src/OpenGl/OpenGl_togl_view.cxx
   trunk/src/OpenGl/OpenGl_togl_view_exploration.cxx
   trunk/src/OpenGl/OpenGl_togl_viewmapping.cxx
   trunk/src/OpenGl/OpenGl_togl_vieworientation.cxx
   trunk/src/OpenGl/OpenGl_tox.cxx
   trunk/src/OpenGl/OpenGl_traces.hxx
   trunk/src/OpenGl/OpenGl_transform_persistence.cxx
   trunk/src/OpenGl/OpenGl_triedron.cxx
   trunk/src/OpenGl/OpenGl_triedron.hxx
   trunk/src/OpenGl/OpenGl_trsf_stack.hxx
   trunk/src/OpenGl/OpenGl_tsm.cxx
   trunk/src/OpenGl/OpenGl_tsm_ws.hxx
   trunk/src/OpenGl/OpenGl_txgl.cxx
   trunk/src/OpenGl/OpenGl_txgl.hxx
   trunk/src/OpenGl/OpenGl_undefined.cxx
   trunk/src/OpenGl/OpenGl_userdraw.cxx
   trunk/src/OpenGl/OpenGl_view.cxx
   trunk/src/OpenGl/OpenGl_vind.cxx
   trunk/src/OpenGl/OpenGl_ws.cxx
   trunk/src/QADBMReflex/
   trunk/src/QAOCC/QAOCC_OCC749Prs.cdl
   trunk/src/QAOCC/QAOCC_OCC749Prs.cxx
Modified:
   trunk/src/Graphic3d/FILES
   trunk/src/Graphic3d/Graphic3d_GraphicDriver.cdl
   trunk/src/Graphic3d/Graphic3d_Group.cdl
   trunk/src/Graphic3d/Graphic3d_Group_9.cxx
   trunk/src/OpenGl/FILES
   trunk/src/OpenGl/OpenGl_CMPLRS.edl
   trunk/src/OpenGl/OpenGl_FrameBuffer.cxx
   trunk/src/OpenGl/OpenGl_FrameBuffer.hxx
   trunk/src/OpenGl/OpenGl_GraphicDriver.cxx
   trunk/src/OpenGl/OpenGl_GraphicDriver_1.cxx
   trunk/src/OpenGl/OpenGl_GraphicDriver_2.cxx
   trunk/src/OpenGl/OpenGl_GraphicDriver_3.cxx
   trunk/src/OpenGl/OpenGl_GraphicDriver_4.cxx
   trunk/src/OpenGl/OpenGl_GraphicDriver_5.cxx
   trunk/src/OpenGl/OpenGl_GraphicDriver_6.cxx
   trunk/src/OpenGl/OpenGl_GraphicDriver_7.cxx
   trunk/src/OpenGl/OpenGl_GraphicDriver_703.cxx
   trunk/src/OpenGl/OpenGl_GraphicDriver_705.cxx
   trunk/src/OpenGl/OpenGl_GraphicDriver_707.cxx
   trunk/src/OpenGl/OpenGl_GraphicDriver_709.cxx
   trunk/src/OpenGl/OpenGl_GraphicDriver_710.cxx
   trunk/src/OpenGl/OpenGl_GraphicDriver_711.cxx
   trunk/src/OpenGl/OpenGl_GraphicDriver_713.cxx
   trunk/src/OpenGl/OpenGl_GraphicDriver_8.cxx
   trunk/src/OpenGl/OpenGl_GraphicDriver_9.cxx
   trunk/src/OpenGl/OpenGl_GraphicDriver_Export.cxx
   trunk/src/OpenGl/OpenGl_GraphicDriver_Layer.cxx
   trunk/src/OpenGl/OpenGl_GraphicDriver_print.cxx
   trunk/src/OpenGl/OpenGl_Memory.hxx
   trunk/src/OpenGl/OpenGl_PrimitiveArray.cxx
   trunk/src/OpenGl/OpenGl_PrinterContext.cxx
   trunk/src/OpenGl/OpenGl_PrinterContext.hxx
   trunk/src/OpenGl/OpenGl_Resource.hxx
   trunk/src/OpenGl/OpenGl_ResourceCleaner.cxx
   trunk/src/OpenGl/OpenGl_ResourceCleaner.hxx
   trunk/src/OpenGl/OpenGl_ResourceTexture.cxx
   trunk/src/OpenGl/OpenGl_ResourceTexture.hxx
   trunk/src/OpenGl/OpenGl_ResourceVBO.cxx
   trunk/src/OpenGl/OpenGl_ResourceVBO.hxx
   trunk/src/OpenGl/OpenGl_TextureBox.cxx
   trunk/src/OpenGl/OpenGl_telem_util.cxx
   trunk/src/OpenGl/OpenGl_telem_util.hxx
   trunk/src/OpenGl/OpenGl_telem_view.hxx
   trunk/src/OpenGl/OpenGl_tgl_funcs.hxx
   trunk/src/OpenGl/OpenGl_togl_inquireplane.cxx
   trunk/src/OpenGl/OpenGl_togl_texture.cxx
   trunk/src/OpenGl/OpenGl_transform_persistence.hxx
   trunk/src/OpenGl/OpenGl_tsm.hxx
   trunk/src/QADraw/QADraw_Additional.cxx
   trunk/src/QAOCC/FILES
   trunk/src/QAOCC/QAOCC.cdl
   trunk/src/QAOCC/QAOCC.cxx
   trunk/src/TKQADraw/PACKAGES
   trunk/src/VoxelClient/VoxelClient_VisDrawer.cxx
   trunk/src/VoxelClient/VoxelClient_VisDrawer.h
(0019407)
apl (developer)
2012-02-06 14:42

Dear Bugmaster,

Compilation warnings were corrected.
Please, check branch http://svn/svn/occt/branches/22819_RedesignDriver [^]
(0019415)
apl (developer)
2012-02-07 09:59

Dear Bugmaster,

Due to multiple tree conflicts on merging, a new branch for fixing compilation warnings has been created and its ready to be compiled and tested:

http://svn/svn/occt/branches/OCC22819_Warning [^]
(0019437)
szv (manager)
2012-02-07 15:18

1) Branch http://svn/svn/occt/branches/OCC22819_Warning [^] has been updated, to remove use of redundant dynamic allocation in OpenGl_FontMgr.cxx.

2) The following test scenario shows malfunction of ColorScale:

pload MODELING AISV
plane p 100 100 100 0 0 1 1 0 0
psphere s p 30
vinit
vdisplay s
vsetmaterial s SILVER
vsettransparency s 0.6
vcolorscale
vsetdispmode s 1
(0019458)
aan (developer)
2012-02-08 13:30
edited on: 2012-02-08 13:31

Dear BugMaster,
Workbench KAS:dev:aan-22819-occt was created from SVN branch http://svn/svn/occt/branches/OCC22819_Warning [^]
(and aan-22819-products from trunk) and compiled on Linux platform.

Workbench KAS:dev:aan-22819-products was tested with MMGT_OPT=0

There are not regressions in aan-22819-products regarding to KAS:dev:products-20120203-opt

See results in /QADisk/occttests/results/KAS/dev/aan-22819-products_07022012/lin
See reference results in /QADisk/occttests/results/KAS/dev/products-20120203-opt_03022012/lin
See test cases in /QADisk/occttests/tests/ED
N.B. In order to launch testing case you can make use the following instructions
http://doc/doku.php?id=occt:certification [^]

(0019459)
aan (developer)
2012-02-08 14:39
edited on: 2012-02-10 11:32

Dear BugMaster,
Workbench KAS:dev:mkv-22819-1-occt was created from SVN branch http://svn/svn/occt/branches/OCC22819_Warning [^]
(and mkv-22819-1-products from trunk) and compiled on Linux platform.

Workbench KAS:dev:mkv-22819-1-products was tested with MMGT_OPT=1

There are following regressions in mkv-22819-1-products regarding to KAS:dev:products-20120203-opt

vpr 005 A1 A4 A8
vpr 008 D8

See results in /QADisk/occttests/results/KAS/dev/mkv-22819-1-products_07022012/lin
See reference results in /QADisk/occttests/results/KAS/dev/products-20120203-opt_03022012/lin
See test cases in /QADisk/occttests/tests/ED
N.B. In order to launch testing case you can make use the following instructions
http://doc/doku.php?id=occt:certification [^]

(0019471)
apl (developer)
2012-02-08 19:59

Dear Bugmaster,

The report bug with color scale has been fixed in branch http://svn/svn/occt/branches/22819_Warning [^]

Please create a test case from draw scenario provided by szv, and perform visualization tests.
(0019523)
aan (developer)
2012-02-13 09:54
edited on: 2012-02-13 12:47

Dear BugMaster,
Workbench KAS:dev:aan-22819-occt was created from SVN branch http://svn/svn/occt/branches/OCC22819_Warning [^]
(and aan-22819-products from trunk) and compiled on Linux platform.

Workbench KAS:dev:aan-22819-products was tested with MMGT_OPT=0

There are not regressions in aan-22819-products regarding to KAS:dev:products-20120203-opt

See results in /QADisk/occttests/results/KAS/dev/aan-22819-products_10022012/lin
See reference results in /QADisk/occttests/results/KAS/dev/products-20120203-opt_03022012/lin
See test cases in /QADisk/occttests/tests/ED
N.B. In order to launch testing case you can make use the following instructions
http://doc/doku.php?id=occt:certification [^]

(0019524)
aan (developer)
2012-02-13 10:45
edited on: 2012-02-13 12:49

Dear BugMaster,
Workbench KAS:dev:mkv-22819-1-occt was created from SVN branch http://svn/svn/occt/branches/OCC22819_Warning [^]
(and mkv-22819-1-products from trunk) and compiled on Linux platform.

Workbench KAS:dev:mkv-22819-1-products was tested with MMGT_OPT=1

There are not regressions in mkv-22819-1-products regarding to KAS:dev:products-20120203-opt

See results in /QADisk/occttests/results/KAS/dev/mkv-22819-1-products_10022012/lin
See reference results in /QADisk/occttests/results/KAS/dev/products-20120203-opt_03022012/lin
See test cases in /QADisk/occttests/tests/ED
N.B. In order to launch testing case you can make use the following instructions
http://doc/doku.php?id=occt:certification [^]

(0019644)
bugmaster (administrator)
2012-02-17 16:42

Integration into trunk of occt repository

Date: 2012-02-17 16:40:12 +0400 (Fri, 17 Feb 2012)
New Revision: 10515

Modified:
   trunk/src/InterfaceGraphic/InterfaceGraphic_Graphic3d.hxx
   trunk/src/OpenGl/OpenGl_Display.hxx
   trunk/src/OpenGl/OpenGl_Display_1.cxx
   trunk/src/OpenGl/OpenGl_FontMgr.cxx
   trunk/src/OpenGl/OpenGl_GraphicDriver_Layer.cxx
   trunk/src/OpenGl/OpenGl_TextureBox.cxx
   trunk/src/OpenGl/OpenGl_View_2.cxx
   trunk/src/OpenGl/OpenGl_Workspace_2.cxx

- Related Changesets
occt: master 2166f0fa
Timestamp: 2012-02-03 12:59:15
Author: SAN, KGV
Committer: bugmaster
Details ] Diff ]
0022819: Redesign of OpenGl driver
mod - src/Graphic3d/FILES Diff ] File ]
mod - src/Graphic3d/Graphic3d_GraphicDriver.cdl Diff ] File ]
rm - src/Graphic3d/Graphic3d_GraphicDriver_1.cxx Diff ] File ]
rm - src/Graphic3d/Graphic3d_GraphicDriver_2.cxx Diff ] File ]
rm - src/Graphic3d/Graphic3d_GraphicDriver_3.cxx Diff ] File ]
rm - src/Graphic3d/Graphic3d_GraphicDriver_4.cxx Diff ] File ]
rm - src/Graphic3d/Graphic3d_GraphicDriver_5.cxx Diff ] File ]
rm - src/Graphic3d/Graphic3d_GraphicDriver_6.cxx Diff ] File ]
rm - src/Graphic3d/Graphic3d_GraphicDriver_7.cxx Diff ] File ]
rm - src/Graphic3d/Graphic3d_GraphicDriver_703.cxx Diff ] File ]
rm - src/Graphic3d/Graphic3d_GraphicDriver_705.cxx Diff ] File ]
rm - src/Graphic3d/Graphic3d_GraphicDriver_707.cxx Diff ] File ]
rm - src/Graphic3d/Graphic3d_GraphicDriver_709.cxx Diff ] File ]
rm - src/Graphic3d/Graphic3d_GraphicDriver_710.cxx Diff ] File ]
rm - src/Graphic3d/Graphic3d_GraphicDriver_711.cxx Diff ] File ]
rm - src/Graphic3d/Graphic3d_GraphicDriver_712.cxx Diff ] File ]
rm - src/Graphic3d/Graphic3d_GraphicDriver_713.cxx Diff ] File ]
rm - src/Graphic3d/Graphic3d_GraphicDriver_8.cxx Diff ] File ]
rm - src/Graphic3d/Graphic3d_GraphicDriver_9.cxx Diff ] File ]
rm - src/Graphic3d/Graphic3d_GraphicDriver_Export.cxx Diff ] File ]
rm - src/Graphic3d/Graphic3d_GraphicDriver_Layer.cxx Diff ] File ]
rm - src/Graphic3d/Graphic3d_GraphicDriver_Print.cxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_Group.cdl Diff ] File ]
rm - src/Graphic3d/Graphic3d_Group_12.cxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_Group_9.cxx Diff ] File ]
mod - src/OpenGl/FILES Diff ] File ]
add - src/OpenGl/Handle_OpenGl_Context.hxx Diff ] File ]
add - src/OpenGl/Handle_OpenGl_Display.hxx Diff ] File ]
add - src/OpenGl/Handle_OpenGl_GraduatedTrihedron.hxx Diff ] File ]
add - src/OpenGl/Handle_OpenGl_GraphicDriver.hxx Diff ] File ]
add - src/OpenGl/Handle_OpenGl_Trihedron.hxx Diff ] File ]
add - src/OpenGl/Handle_OpenGl_View.hxx Diff ] File ]
add - src/OpenGl/Handle_OpenGl_Window.hxx Diff ] File ]
add - src/OpenGl/Handle_OpenGl_Workspace.hxx Diff ] File ]
rm - src/OpenGl/OpenGl.cdl Diff ] File ]
rm - src/OpenGl/OpenGl_addnames.cxx Diff ] File ]
rm - src/OpenGl/OpenGl_animation.hxx Diff ] File ]
rm - src/OpenGl/OpenGl_antialias.cxx Diff ] File ]
rm - src/OpenGl/OpenGl_applid.cxx Diff ] File ]
add - src/OpenGl/OpenGl_ArbVBO.hxx Diff ] File ]
add - src/OpenGl/OpenGl_AspectFace.cxx Diff ] File ]
add - src/OpenGl/OpenGl_AspectFace.hxx Diff ] File ]
add - src/OpenGl/OpenGl_AspectLine.cxx Diff ] File ]
add - src/OpenGl/OpenGl_AspectLine.hxx Diff ] File ]
add - src/OpenGl/OpenGl_AspectMarker.cxx Diff ] File ]
add - src/OpenGl/OpenGl_AspectMarker.hxx Diff ] File ]
add - src/OpenGl/OpenGl_AspectText.cxx Diff ] File ]
add - src/OpenGl/OpenGl_AspectText.hxx Diff ] File ]
rm - src/OpenGl/OpenGl_attri.cxx Diff ] File ]
rm - src/OpenGl/OpenGl_bintcol.cxx Diff ] File ]
rm - src/OpenGl/OpenGl_bintrefl.cxx Diff ] File ]
rm - src/OpenGl/OpenGl_bsurfprop.cxx Diff ] File ]
add - src/OpenGl/OpenGl_Callback.hxx Diff ] File ]
rm - src/OpenGl/OpenGl_callback.hxx Diff ] File ]
rm - src/OpenGl/OpenGl_charexpan.cxx Diff ] File ]
rm - src/OpenGl/OpenGl_charspace.cxx Diff ] File ]
rm - src/OpenGl/OpenGl_cmn_varargs.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_CMPLRS.edl Diff ] File ]
add - src/OpenGl/OpenGl_Context.cxx Diff ] File ]
add - src/OpenGl/OpenGl_Context.hxx Diff ] File ]
rm - src/OpenGl/OpenGl_context.hxx Diff ] File ]
rm - src/OpenGl/OpenGl_curve.cxx Diff ] File ]
add - src/OpenGl/OpenGl_CView.hxx Diff ] File ]
rm - src/OpenGl/OpenGl_degeneration.hxx Diff ] File ]
rm - src/OpenGl/OpenGl_degmodel.cxx Diff ] File ]
rm - src/OpenGl/OpenGl_depthcue.cxx Diff ] File ]
rm - src/OpenGl/OpenGl_dind.cxx Diff ] File ]
add - src/OpenGl/OpenGl_Display.cxx Diff ] File ]
add - src/OpenGl/OpenGl_Display.hxx Diff ] File ]
add - src/OpenGl/OpenGl_Display_1.cxx Diff ] File ]
add - src/OpenGl/OpenGl_Display_2.cxx Diff ] File ]
rm - src/OpenGl/OpenGl_dotexturemap.cxx Diff ] File ]
rm - src/OpenGl/OpenGl_edgecol.cxx Diff ] File ]
rm - src/OpenGl/OpenGl_edgeflag.cxx Diff ] File ]
rm - src/OpenGl/OpenGl_edgetyp.cxx Diff ] File ]
rm - src/OpenGl/OpenGl_edgewid.cxx Diff ] File ]
add - src/OpenGl/OpenGl_Element.hxx Diff ] File ]
rm - src/OpenGl/OpenGl_execstruct.cxx Diff ] File ]
rm - src/OpenGl/OpenGl_Extension.cxx Diff ] File ]
rm - src/OpenGl/OpenGl_Extension.hxx Diff ] File ]
add - src/OpenGl/OpenGl_ExtFBO.hxx Diff ] File ]
rm - src/OpenGl/OpenGl_facecull.cxx Diff ] File ]
rm - src/OpenGl/OpenGl_facedmode.cxx Diff ] File ]
rm - src/OpenGl/OpenGl_filters.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_FrameBuffer.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_FrameBuffer.hxx Diff ] File ]
rm - src/OpenGl/OpenGl_funcs.cxx Diff ] File ]
add - src/OpenGl/OpenGl_GraduatedTrihedron.hxx Diff ] File ]
rm - src/OpenGl/OpenGl_graduatedtrihedron.hxx Diff ] File ]
rm - src/OpenGl/OpenGl_GraphicDriver.cdl Diff ] File ]
mod - src/OpenGl/OpenGl_GraphicDriver.cxx Diff ] File ]
add - src/OpenGl/OpenGl_GraphicDriver.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_GraphicDriver_1.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_GraphicDriver_2.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_GraphicDriver_3.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_GraphicDriver_4.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_GraphicDriver_5.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_GraphicDriver_6.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_GraphicDriver_7.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_GraphicDriver_703.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_GraphicDriver_705.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_GraphicDriver_707.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_GraphicDriver_709.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_GraphicDriver_710.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_GraphicDriver_711.cxx Diff ] File ]
rm - src/OpenGl/OpenGl_GraphicDriver_712.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_GraphicDriver_713.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_GraphicDriver_8.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_GraphicDriver_9.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_GraphicDriver_Export.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_GraphicDriver_Layer.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_GraphicDriver_print.cxx Diff ] File ]
add - src/OpenGl/OpenGl_Group.cxx Diff ] File ]
add - src/OpenGl/OpenGl_Group.hxx Diff ] File ]
rm - src/OpenGl/OpenGl_highlight.cxx Diff ] File ]
rm - src/OpenGl/OpenGl_hlind.cxx Diff ] File ]
rm - src/OpenGl/OpenGl_indexpolygons.cxx Diff ] File ]
rm - src/OpenGl/OpenGl_initelem.cxx Diff ] File ]
rm - src/OpenGl/OpenGl_inquire.cxx Diff ] File ]
rm - src/OpenGl/OpenGl_inquire.hxx Diff ] File ]
rm - src/OpenGl/OpenGl_intcol.cxx Diff ] File ]
rm - src/OpenGl/OpenGl_intrefl.cxx Diff ] File ]
rm - src/OpenGl/OpenGl_intshademtd.cxx Diff ] File ]
rm - src/OpenGl/OpenGl_intstyle.cxx Diff ] File ]
rm - src/OpenGl/OpenGl_intstyleind.cxx Diff ] File ]
rm - src/OpenGl/OpenGl_label.cxx Diff ] File ]
add - src/OpenGl/OpenGl_Light.hxx Diff ] File ]
rm - src/OpenGl/OpenGl_LightBox.cxx Diff ] File ]
rm - src/OpenGl/OpenGl_LightBox.hxx Diff ] File ]
rm - src/OpenGl/OpenGl_lightstate.cxx Diff ] File ]
rm - src/OpenGl/OpenGl_localtran3.cxx Diff ] File ]
add - src/OpenGl/OpenGl_Marker.cxx Diff ] File ]
add - src/OpenGl/OpenGl_Marker.hxx Diff ] File ]
add - src/OpenGl/OpenGl_MarkerSet.cxx Diff ] File ]
add - src/OpenGl/OpenGl_MarkerSet.hxx Diff ] File ]
add - src/OpenGl/OpenGl_Matrix.cxx Diff ] File ]
add - src/OpenGl/OpenGl_Matrix.hxx Diff ] File ]
rm - src/OpenGl/OpenGl_Memory.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Memory.hxx Diff ] File ]
add - src/OpenGl/OpenGl_Mesh.cxx Diff ] File ]
add - src/OpenGl/OpenGl_Mesh.hxx Diff ] File ]
rm - src/OpenGl/OpenGl_mrkr.cxx Diff ] File ]
rm - src/OpenGl/OpenGl_mrkrcol.cxx Diff ] File ]
rm - src/OpenGl/OpenGl_mrkrset.cxx Diff ] File ]
rm - src/OpenGl/OpenGl_mrkrsize.cxx Diff ] File ]
rm - src/OpenGl/OpenGl_mrkrtype.cxx Diff ] File ]
add - src/OpenGl/OpenGl_NamedStatus.hxx Diff ] File ]
rm - src/OpenGl/OpenGl_pick.cxx Diff ] File ]
rm - src/OpenGl/OpenGl_pickid.cxx Diff ] File ]
add - src/OpenGl/OpenGl_Polygon.cxx Diff ] File ]
rm - src/OpenGl/OpenGl_polygon.cxx Diff ] File ]
add - src/OpenGl/OpenGl_Polygon.hxx Diff ] File ]
rm - src/OpenGl/OpenGl_polygonholes.cxx Diff ] File ]
rm - src/OpenGl/OpenGl_polygonoffset.cxx Diff ] File ]
rm - src/OpenGl/OpenGl_polyl.cxx Diff ] File ]
rm - src/OpenGl/OpenGl_polylcol.cxx Diff ] File ]
add - src/OpenGl/OpenGl_Polyline.cxx Diff ] File ]
add - src/OpenGl/OpenGl_Polyline.hxx Diff ] File ]
rm - src/OpenGl/OpenGl_polyltyp.cxx Diff ] File ]
rm - src/OpenGl/OpenGl_polylwid.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_PrimitiveArray.cxx Diff ] File ]
add - src/OpenGl/OpenGl_PrimitiveArray.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_PrinterContext.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_PrinterContext.hxx Diff ] File ]
add - src/OpenGl/OpenGl_PriorityList.cxx Diff ] File ]
add - src/OpenGl/OpenGl_PriorityList.hxx Diff ] File ]
rm - src/OpenGl/OpenGl_qstrip.cxx Diff ] File ]
add - src/OpenGl/OpenGl_QuadrangleStrip.cxx Diff ] File ]
add - src/OpenGl/OpenGl_QuadrangleStrip.hxx Diff ] File ]
rm - src/OpenGl/OpenGl_remnames.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Resource.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_ResourceCleaner.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_ResourceCleaner.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_ResourceTexture.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_ResourceTexture.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_ResourceVBO.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_ResourceVBO.hxx Diff ] File ]
add - src/OpenGl/OpenGl_Structure.cxx Diff ] File ]
add - src/OpenGl/OpenGl_Structure.hxx Diff ] File ]
rm - src/OpenGl/OpenGl_subrs.cxx Diff ] File ]
rm - src/OpenGl/OpenGl_subrvis.cxx Diff ] File ]
rm - src/OpenGl/OpenGl_surfprop.cxx Diff ] File ]
rm - src/OpenGl/OpenGl_telem.hxx Diff ] File ]
rm - src/OpenGl/OpenGl_telem_attri.hxx Diff ] File ]
rm - src/OpenGl/OpenGl_telem_depthcue.hxx Diff ] File ]
rm - src/OpenGl/OpenGl_telem_filters.hxx Diff ] File ]
rm - src/OpenGl/OpenGl_telem_highlight.hxx Diff ] File ]
rm - src/OpenGl/OpenGl_telem_inquire.hxx Diff ] File ]
rm - src/OpenGl/OpenGl_telem_pick.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_telem_util.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_telem_util.hxx Diff ] File ]
add - src/OpenGl/OpenGl_telem_view.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_telem_view.hxx Diff ] File ]
add - src/OpenGl/OpenGl_Text.cxx Diff ] File ]
rm - src/OpenGl/OpenGl_text.cxx Diff ] File ]
add - src/OpenGl/OpenGl_Text.hxx Diff ] File ]
rm - src/OpenGl/OpenGl_textalignment.cxx Diff ] File ]
rm - src/OpenGl/OpenGl_textangle.cxx Diff ] File ]
rm - src/OpenGl/OpenGl_textcol.cxx Diff ] File ]
rm - src/OpenGl/OpenGl_textcolsubtitle.cxx Diff ] File ]
rm - src/OpenGl/OpenGl_textdisplaytype.cxx Diff ] File ]
rm - src/OpenGl/OpenGl_textfont.cxx Diff ] File ]
rm - src/OpenGl/OpenGl_textfontaspect.cxx Diff ] File ]
rm - src/OpenGl/OpenGl_textheight.cxx Diff ] File ]
add - src/OpenGl/OpenGl_TextParam.hxx Diff ] File ]
rm - src/OpenGl/OpenGl_TextRender.cxx Diff ] File ]
rm - src/OpenGl/OpenGl_TextRender.hxx Diff ] File ]
rm - src/OpenGl/OpenGl_textstyle.cxx Diff ] File ]
rm - src/OpenGl/OpenGl_texture.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_TextureBox.cxx Diff ] File ]
rm - src/OpenGl/OpenGl_textzoomable.cxx Diff ] File ]
rm - src/OpenGl/OpenGl_tgl.hxx Diff ] File ]
rm - src/OpenGl/OpenGl_tgl_elems.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_tgl_funcs.hxx Diff ] File ]
rm - src/OpenGl/OpenGl_tgl_pick.hxx Diff ] File ]
rm - src/OpenGl/OpenGl_tgl_subrs.hxx Diff ] File ]
rm - src/OpenGl/OpenGl_tgl_subrvis.hxx Diff ] File ]
rm - src/OpenGl/OpenGl_tgl_tox.hxx Diff ] File ]
rm - src/OpenGl/OpenGl_tgl_util.cxx Diff ] File ]
rm - src/OpenGl/OpenGl_tgl_util.hxx Diff ] File ]
rm - src/OpenGl/OpenGl_tgl_utilgr.cxx Diff ] File ]
rm - src/OpenGl/OpenGl_tgl_utilgr.hxx Diff ] File ]
rm - src/OpenGl/OpenGl_tgl_vis.hxx Diff ] File ]
rm - src/OpenGl/OpenGl_tmesh.cxx Diff ] File ]
rm - src/OpenGl/OpenGl_togl_activateview.cxx Diff ] File ]
rm - src/OpenGl/OpenGl_togl_antialiasing.cxx Diff ] File ]
rm - src/OpenGl/OpenGl_togl_backfacing.cxx Diff ] File ]
rm - src/OpenGl/OpenGl_togl_background.cxx Diff ] File ]
rm - src/OpenGl/OpenGl_togl_begin.cxx Diff ] File ]
rm - src/OpenGl/OpenGl_togl_begin_animation.cxx Diff ] File ]
rm - src/OpenGl/OpenGl_togl_begin_immediat_mode.cxx Diff ] File ]
rm - src/OpenGl/OpenGl_togl_begin_layer_mode.cxx Diff ] File ]
rm - src/OpenGl/OpenGl_togl_bezier.cxx Diff ] File ]
rm - src/OpenGl/OpenGl_togl_bezier_weight.cxx Diff ] File ]
rm - src/OpenGl/OpenGl_togl_blink.cxx Diff ] File ]
rm - src/OpenGl/OpenGl_togl_boundarybox.cxx Diff ] File ]
rm - src/OpenGl/OpenGl_togl_cleargroup.cxx Diff ] File ]
rm - src/OpenGl/OpenGl_togl_clearstructure.cxx Diff ] File ]
rm - src/OpenGl/OpenGl_togl_cliplimit.cxx Diff ] File ]
rm - src/OpenGl/OpenGl_togl_closegroup.cxx Diff ] File ]
rm - src/OpenGl/OpenGl_togl_connect.cxx Diff ] File ]
rm - src/OpenGl/OpenGl_togl_contextstructure.cxx Diff ] File ]
rm - src/OpenGl/OpenGl_togl_curve.cxx Diff ] File ]
rm - src/OpenGl/OpenGl_togl_deactivateview.cxx Diff ] File ]
rm - src/OpenGl/OpenGl_togl_degeneratestructure.cxx Diff ] File ]
rm - src/OpenGl/OpenGl_togl_depthcueing.cxx Diff ] File ]
rm - src/OpenGl/OpenGl_togl_depthtest.cxx Diff ] File ]
rm - src/OpenGl/OpenGl_togl_disconnect.cxx Diff ] File ]
rm - src/OpenGl/OpenGl_togl_displaystructure.cxx Diff ] File ]
rm - src/OpenGl/OpenGl_togl_element_exploration.cxx Diff ] File ]
rm - src/OpenGl/OpenGl_togl_end.cxx Diff ] File ]
rm - src/OpenGl/OpenGl_togl_erasestructure.cxx Diff ] File ]
rm - src/OpenGl/OpenGl_togl_facecontextgroup.cxx Diff ] File ]
rm - src/OpenGl/OpenGl_togl_gradient_background.cxx Diff ] File ]
rm - src/OpenGl/OpenGl_togl_graduatedtrihedron.cxx Diff ] File ]
rm - src/OpenGl/OpenGl_togl_group.cxx Diff ] File ]
rm - src/OpenGl/OpenGl_togl_highlightcolor.cxx Diff ] File ]
rm - src/OpenGl/OpenGl_togl_init_pick.cxx Diff ] File ]
rm - src/OpenGl/OpenGl_togl_inquirefacilities.cxx Diff ] File ]
rm - src/OpenGl/OpenGl_togl_inquirelight.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_togl_inquireplane.cxx Diff ] File ]
rm - src/OpenGl/OpenGl_togl_inquireview.cxx Diff ] File ]
rm - src/OpenGl/OpenGl_togl_light.cxx Diff ] File ]
rm - src/OpenGl/OpenGl_togl_light_exploration.cxx Diff ] File ]
rm - src/OpenGl/OpenGl_togl_linecontextgroup.cxx Diff ] File ]
rm - src/OpenGl/OpenGl_togl_marker.cxx Diff ] File ]
rm - src/OpenGl/OpenGl_togl_markercontextgroup.cxx Diff ] File ]
rm - src/OpenGl/OpenGl_togl_marker_set.cxx Diff ] File ]
rm - src/OpenGl/OpenGl_togl_namesetstructure.cxx Diff ] File ]
rm - src/OpenGl/OpenGl_togl_opengroup.cxx Diff ] File ]
rm - src/OpenGl/OpenGl_togl_parray.cxx Diff ] File ]
rm - src/OpenGl/OpenGl_togl_pick.cxx Diff ] File ]
rm - src/OpenGl/OpenGl_togl_pickid.cxx Diff ] File ]
rm - src/OpenGl/OpenGl_togl_plane.cxx Diff ] File ]
rm - src/OpenGl/OpenGl_togl_polygon.cxx Diff ] File ]
rm - src/OpenGl/OpenGl_togl_polygon_holes.cxx Diff ] File ]
rm - src/OpenGl/OpenGl_togl_polygon_indices.cxx Diff ] File ]
rm - src/OpenGl/OpenGl_togl_polygon_set.cxx Diff ] File ]
rm - src/OpenGl/OpenGl_togl_polyline.cxx Diff ] File ]
rm - src/OpenGl/OpenGl_togl_project_raster.cxx Diff ] File ]
rm - src/OpenGl/OpenGl_togl_quadrangle.cxx Diff ] File ]
rm - src/OpenGl/OpenGl_togl_ratio_window.cxx Diff ] File ]
rm - src/OpenGl/OpenGl_togl_redraw.cxx Diff ] File ]
rm - src/OpenGl/OpenGl_togl_removegroup.cxx Diff ] File ]
rm - src/OpenGl/OpenGl_togl_removestructure.cxx Diff ] File ]
rm - src/OpenGl/OpenGl_togl_removeview.cxx Diff ] File ]
rm - src/OpenGl/OpenGl_togl_setlight.cxx Diff ] File ]
rm - src/OpenGl/OpenGl_togl_setplane.cxx Diff ] File ]
rm - src/OpenGl/OpenGl_togl_setvisualisation.cxx Diff ] File ]
rm - src/OpenGl/OpenGl_togl_set_environment.cxx Diff ] File ]
rm - src/OpenGl/OpenGl_togl_structure.cxx Diff ] File ]
rm - src/OpenGl/OpenGl_togl_structure_exploration.cxx Diff ] File ]
rm - src/OpenGl/OpenGl_togl_text.cxx Diff ] File ]
rm - src/OpenGl/OpenGl_togl_textcontextgroup.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_togl_texture.cxx Diff ] File ]
rm - src/OpenGl/OpenGl_togl_transformstructure.cxx Diff ] File ]
rm - src/OpenGl/OpenGl_togl_transparency.cxx Diff ] File ]
rm - src/OpenGl/OpenGl_togl_triangle.cxx Diff ] File ]
rm - src/OpenGl/OpenGl_togl_triedron.cxx Diff ] File ]
rm - src/OpenGl/OpenGl_togl_unproject_raster.cxx Diff ] File ]
rm - src/OpenGl/OpenGl_togl_update.cxx Diff ] File ]
rm - src/OpenGl/OpenGl_togl_userdraw.cxx Diff ] File ]
rm - src/OpenGl/OpenGl_togl_view.cxx Diff ] File ]
rm - src/OpenGl/OpenGl_togl_viewmapping.cxx Diff ] File ]
rm - src/OpenGl/OpenGl_togl_vieworientation.cxx Diff ] File ]
rm - src/OpenGl/OpenGl_togl_view_exploration.cxx Diff ] File ]
rm - src/OpenGl/OpenGl_tox.cxx Diff ] File ]
rm - src/OpenGl/OpenGl_traces.hxx Diff ] File ]
rm - src/OpenGl/OpenGl_transform_persistence.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_transform_persistence.hxx Diff ] File ]
add - src/OpenGl/OpenGl_TriangleStrip.cxx Diff ] File ]
add - src/OpenGl/OpenGl_TriangleStrip.hxx Diff ] File ]
rm - src/OpenGl/OpenGl_triedron.cxx Diff ] File ]
rm - src/OpenGl/OpenGl_triedron.hxx Diff ] File ]
add - src/OpenGl/OpenGl_Trihedron.cxx Diff ] File ]
add - src/OpenGl/OpenGl_Trihedron.hxx Diff ] File ]
rm - src/OpenGl/OpenGl_trsf_stack.hxx Diff ] File ]
rm - src/OpenGl/OpenGl_tsm.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_tsm.hxx Diff ] File ]
rm - src/OpenGl/OpenGl_tsm_ws.hxx Diff ] File ]
rm - src/OpenGl/OpenGl_txgl.cxx Diff ] File ]
rm - src/OpenGl/OpenGl_txgl.hxx Diff ] File ]
rm - src/OpenGl/OpenGl_undefined.cxx Diff ] File ]
rm - src/OpenGl/OpenGl_userdraw.cxx Diff ] File ]
add - src/OpenGl/OpenGl_View.cxx Diff ] File ]
rm - src/OpenGl/OpenGl_view.cxx Diff ] File ]
add - src/OpenGl/OpenGl_View.hxx Diff ] File ]
add - src/OpenGl/OpenGl_View_1.cxx Diff ] File ]
add - src/OpenGl/OpenGl_View_2.cxx Diff ] File ]
rm - src/OpenGl/OpenGl_vind.cxx Diff ] File ]
add - src/OpenGl/OpenGl_Window.cxx Diff ] File ]
add - src/OpenGl/OpenGl_Window.hxx Diff ] File ]
add - src/OpenGl/OpenGl_Workspace.cxx Diff ] File ]
add - src/OpenGl/OpenGl_Workspace.hxx Diff ] File ]
add - src/OpenGl/OpenGl_Workspace_1.cxx Diff ] File ]
add - src/OpenGl/OpenGl_Workspace_3.cxx Diff ] File ]
add - src/OpenGl/OpenGl_Workspace_4.cxx Diff ] File ]
add - src/OpenGl/OpenGl_Workspace_5.cxx Diff ] File ]
rm - src/OpenGl/OpenGl_ws.cxx Diff ] File ]
rm - src/QADBMReflex/QADBMReflex.cdl Diff ] File ]
rm - src/QADBMReflex/QADBMReflex.cxx Diff ] File ]
rm - src/QADBMReflex/QADBMReflex_OCC749Prs.cdl Diff ] File ]
rm - src/QADBMReflex/QADBMReflex_OCC749Prs.cxx Diff ] File ]
rm - src/QADBMReflex/QADBMReflex_OCC749PrsUseVertex.cdl Diff ] File ]
rm - src/QADBMReflex/QADBMReflex_OCC749PrsUseVertex.cxx Diff ] File ]
rm - src/QADBMReflex/QADBMReflex_OCC749PrsUseVertexABV.cdl Diff ] File ]
rm - src/QADBMReflex/QADBMReflex_OCC749PrsUseVertexABV.cxx Diff ] File ]
rm - src/QADBMReflex/QADBMReflex_OCC749PrsUseVertexC.cdl Diff ] File ]
rm - src/QADBMReflex/QADBMReflex_OCC749PrsUseVertexC.cxx Diff ] File ]
rm - src/QADBMReflex/QADBMReflex_OCC749PrsUseVertexCABV.cdl Diff ] File ]
rm - src/QADBMReflex/QADBMReflex_OCC749PrsUseVertexCABV.cxx Diff ] File ]
mod - src/QADraw/QADraw_Additional.cxx Diff ] File ]
mod - src/QAOCC/FILES Diff ] File ]
mod - src/QAOCC/QAOCC.cdl Diff ] File ]
mod - src/QAOCC/QAOCC.cxx Diff ] File ]
rm - src/QAOCC/QAOCC_OCC749Prs.cdl Diff ] File ]
rm - src/QAOCC/QAOCC_OCC749Prs.cxx Diff ] File ]
mod - src/TKQADraw/PACKAGES Diff ] File ]
mod - src/VoxelClient/VoxelClient_VisDrawer.cxx Diff ] File ]
mod - src/VoxelClient/VoxelClient_VisDrawer.h Diff ] File ]
occt: master c320e557
Timestamp: 2012-02-17 12:40:12
Author: apl
Committer: bugmaster
Details ] Diff ]
0022819: Redesign of OpenGl driver Additional integration
mod - src/InterfaceGraphic/InterfaceGraphic_Graphic3d.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_Display.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_Display_1.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_FontMgr.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_GraphicDriver_Layer.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_TextureBox.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_View_2.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Workspace_2.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2011-11-29 14:36 szv New Issue
2011-11-29 14:36 szv Assigned To => szv
2011-12-22 18:09 san Product Version 6.5.2 => 6.5.4
2011-12-22 18:09 san Product Version 6.5.4 => 6.5.2
2011-12-22 18:09 san Target Version => 6.5.4
2011-12-22 18:10 san Assigned To szv => apl
2011-12-22 18:10 san Status new => assigned
2011-12-22 18:20 san Note Added: 0018952
2011-12-26 11:22 san Relationship added related to 0022734
2011-12-26 11:25 san Relationship added related to 0022627
2011-12-26 11:26 san Note Added: 0018998
2011-12-29 17:30 apl Note Added: 0019061
2011-12-29 17:31 apl Assigned To apl => bugmaster
2011-12-29 17:31 apl Note Added: 0019062
2011-12-29 17:43 abv Note Added: 0019063
2012-01-10 14:38 bugmaster Assigned To bugmaster => mkv
2012-01-10 14:39 bugmaster Note Added: 0019068
2012-01-10 19:20 mkv Note Added: 0019078
2012-01-10 19:21 mkv Assigned To mkv => apl
2012-01-13 11:18 san Additional Information Updated View Revisions
2012-01-13 11:21 san Relationship added parent of 0022234
2012-01-18 12:42 kgv Note Added: 0019168
2012-01-20 13:28 mkv Note Added: 0019193
2012-01-20 13:29 mkv Note Added: 0019194
2012-01-20 14:55 san Note Added: 0019201
2012-01-20 14:58 san Note Edited: 0019201 View Revisions
2012-01-24 16:30 kgv Note Added: 0019252
2012-01-24 16:38 kgv Status assigned => feedback
2012-01-24 16:47 abv Assigned To apl => bugmaster
2012-01-27 10:36 aan Note Added: 0019275
2012-01-27 10:36 aan Note Added: 0019276
2012-01-27 10:37 aan Status feedback => reviewed
2012-01-27 10:37 aan Assigned To bugmaster => kgv
2012-01-27 10:37 aan Status reviewed => assigned
2012-01-30 17:57 abv Relationship added related to 0022930
2012-02-01 12:04 kgv Note Added: 0019326
2012-02-01 12:04 kgv Assigned To kgv => bugmaster
2012-02-01 12:04 kgv Status assigned => feedback
2012-02-01 12:44 abv Note Deleted: 0019193
2012-02-01 12:48 abv Relationship added related to 0022878
2012-02-02 09:44 kgv Relationship added related to 0022971
2012-02-02 10:06 abv Target Version 6.5.4 => 6.5.3
2012-02-02 13:34 aan Note Added: 0019354
2012-02-02 19:04 aan Note Added: 0019366
2012-02-02 19:05 aan Assigned To bugmaster => kgv
2012-02-02 19:05 aan Status feedback => assigned
2012-02-03 10:08 kgv Note Added: 0019367
2012-02-03 13:51 aan Status assigned => resolved
2012-02-03 13:52 aan Status resolved => reviewed
2012-02-03 13:53 aan Note Added: 0019379
2012-02-03 13:53 aan Status reviewed => tested
2012-02-03 15:58 kgv Note Added: 0019384
2012-02-03 16:35 abv Relationship added related to 0022554
2012-02-03 16:47 kgv Assigned To kgv => san
2012-02-03 16:50 kgv Note Added: 0019387
2012-02-03 17:14 bugmaster Note Added: 0019389
2012-02-06 08:14 abv Relationship added related to 0022956
2012-02-06 08:15 abv Relationship added related to 0022955
2012-02-06 08:15 abv Relationship added child of 0022880
2012-02-06 08:16 abv Relationship added related to 0022879
2012-02-06 08:26 abv Relationship deleted child of 0022880
2012-02-06 08:27 abv Relationship added related to 0022880
2012-02-06 14:42 apl Note Added: 0019407
2012-02-07 09:59 apl Note Added: 0019415
2012-02-07 15:18 szv Note Added: 0019437
2012-02-08 13:30 aan Note Added: 0019458
2012-02-08 13:31 aan Note Edited: 0019458 View Revisions
2012-02-08 14:39 aan Note Added: 0019459
2012-02-08 14:39 aan Note Edited: 0019459 View Revisions
2012-02-08 14:44 aan Status tested => assigned
2012-02-08 14:44 aan Assigned To san => kgv
2012-02-08 14:53 san Assigned To kgv => apl
2012-02-08 19:59 apl Note Added: 0019471
2012-02-08 19:59 apl Assigned To apl => bugmaster
2012-02-08 19:59 apl Status assigned => resolved
2012-02-08 19:59 apl Status resolved => reviewed
2012-02-10 11:00 san Relationship added related to 0022782
2012-02-10 11:32 aan Note Edited: 0019459 View Revisions
2012-02-10 11:32 dln Relationship deleted related to 0022554
2012-02-13 09:54 aan Note Added: 0019523
2012-02-13 10:45 aan Note Added: 0019524
2012-02-13 12:46 aan Note Edited: 0019524 View Revisions
2012-02-13 12:47 aan Note Edited: 0019523 View Revisions
2012-02-13 12:47 aan Test case number => chl 934 R9
2012-02-13 12:47 aan File Added: R9
2012-02-13 12:48 aan Status reviewed => tested
2012-02-13 12:49 aan Note Edited: 0019524 View Revisions
2012-02-17 16:42 bugmaster Note Added: 0019644
2012-02-20 20:31 san Additional Information Updated View Revisions
2012-02-21 08:07 abv Relationship added related to 0022332
2012-02-22 11:54 bugmaster Status tested => verified
2012-02-22 11:54 bugmaster Resolution open => fixed
2012-02-22 11:54 bugmaster Assigned To bugmaster => szv
2012-02-23 18:56 san Relationship added related to 0022787
2012-03-11 16:09 kgv Relationship added related to 0023015
2012-03-20 11:53 kgv Relationship added related to 0023028
2012-03-22 06:43 abv Relationship added related to 0022763
2012-03-29 17:26 bugmaster Changeset attached => occt master c320e557
2012-03-29 17:26 bugmaster Changeset attached => occt master 2166f0fa
2012-04-03 10:04 abv Relationship added related to 0023044
2012-04-03 10:58 abv Relationship added related to 0023035
2012-04-04 17:01 san Relationship added related to 0023067
2012-04-18 21:23 san Relationship added parent of 0023115
2015-04-28 12:59 kgv Relationship added related to 0026128


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker